## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenModelImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenModelImpl

All Implemented Interfaces:
  GenBase, GenModel, Notifier, EObject, InternalEObject

    public class GenModelImpl

extends GenBaseImpl
implements GenModel

An implementation of the model object 'GenModel'.

The following features are implemented:

- `Copyright Text`
- `Model Directory`
- `Creation Commands`
- `Creation Icons`
- `Creation Submenus`
- `Edit Directory`
- `Editor Directory`
- `Model Plugin ID`
- `Template Directory`
- `Runtime Jar`
- `Foreign Model`
- `Dynamic Templates`
- `Redirection`
- `Force Overwrite`
- `Non Externalized String Tag`
- `Model Name`
- `Model Plugin Class`
- `Edit Plugin Class`
- `Editor Plugin Class`
- `Update Classpath`
- `Generate Schema`
- `Non NLS Markers`
- `Static Packages`
- `Model Plugin Variables`
- `Root Extends Interface`
- `Root Extends Class`
- `Root Implements Interface`
- `Suppress EMF Types`
- `Suppress EMF Meta Data`
- `Suppress EMF Model Tags`
- `Suppress Interfaces`
- `Feature Map Wrapper Interface`
- `Feature Map Wrapper Internal Interface`
- `Feature Map Wrapper Class`
- `Runtime Compatibility`
- `Rich Client Platform`
- `Reflective Delegation`
- `Code Formatting`
- `Tests Directory`
- `Test Suite Class`
- `Boolean Flags Field`
- `Boolean Flags Reserved Bits`
- `Importer ID`
- `Bundle Manifest`
- `Feature Delegation`
- `Containment Proxies`
- `Minimal Reflective Methods`
- `Suppress Containment`
- `Suppress Notification`
- `Array Accessors`
- `Suppress Unsettable`
- `Facade Helper Class`
- `Compliance Level`
- `Suppress Gen Model Annotations`
- `Copyright Fields`
- `Binary Compatible Reflective Methods`
- `Public Constructors`
- `Template Plugin Variables`
- `Provider Root Extends Class`
- `Edit Plugin ID`
- `Edit Plugin Variables`
- `Editor Plugin ID`
- `Editor Plugin Variables`
- `Tests Plugin ID`
- `Tests Plugin Variables`
- `Optimized Has Children`
- `Table Providers`
- `Color Providers`
- `Font Providers`
- `Runtime Version`
- `Language`
- `Packed Enums`
- `Gen Packages`
- `Used Gen Packages`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected JETEmitter` `actionBarContributorEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `actionBarContributorTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `adapterFactoryClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `adapterFactoryClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `advisorEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `advisorTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `ARRAY_ACCESSORS_EDEFAULT` The default value of the '`Array Accessors`' attribute
`protected boolean` `arrayAccessors` The cached value of the '`Array Accessors`' attribute
`protected static boolean` `BINARY_COMPATIBLE_REFLECTIVE_METHODS_EDEFAULT` The default value of the '`Binary Compatible Reflective Methods`' attribute
`protected boolean` `binaryCompatibleReflectiveMethods` The cached value of the '`Binary Compatible Reflective Methods`' attribute
`protected static java.lang.String` `BOOLEAN_FLAGS_FIELD_EDEFAULT` The default value of the '`Boolean Flags Field`' attribute
`protected static int` `BOOLEAN_FLAGS_RESERVED_BITS_EDEFAULT` The default value of the '`Boolean Flags Reserved Bits`' attribute
`protected java.lang.String` `booleanFlagsField` The cached value of the '`Boolean Flags Field`' attribute
`protected int` `booleanFlagsReservedBits` The cached value of the '`Boolean Flags Reserved Bits`' attribute
`protected JETEmitter` `buildPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `buildPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `BUNDLE_MANIFEST_EDEFAULT` The default value of the '`Bundle Manifest`' attribute
`protected boolean` `bundleManifest` The cached value of the '`Bundle Manifest`' attribute
`protected boolean` `canGenerate`
`protected JETEmitter` `classEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `classTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `CODE_FORMATTING_EDEFAULT` The default value of the '`Code Formatting`' attribute
`protected java.util.Map` `codeFormatterOptions` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected boolean` `codeFormatting` The cached value of the '`Code Formatting`' attribute
`protected static boolean` `COLOR_PROVIDERS_EDEFAULT` The default value of the '`Color Providers`' attribute
`protected boolean` `colorProviders` The cached value of the '`Color Providers`' attribute
`protected static GenJDKLevel` `COMPLIANCE_LEVEL_EDEFAULT` The default value of the '`Compliance Level`' attribute
`protected GenJDKLevel` `complianceLevel` The cached value of the '`Compliance Level`' attribute
`protected static boolean` `CONTAINMENT_PROXIES_EDEFAULT` The default value of the '`Containment Proxies`' attribute
`protected boolean` `containmentProxies` The cached value of the '`Containment Proxies`' attribute
`protected static boolean` `COPYRIGHT_FIELDS_EDEFAULT` The default value of the '`Copyright Fields`' attribute
`protected static java.lang.String` `COPYRIGHT_TEXT_EDEFAULT` The default value of the '`Copyright Text`' attribute
`protected boolean` `copyrightFields` The cached value of the '`Copyright Fields`' attribute
`protected java.lang.String` `copyrightText` The cached value of the '`Copyright Text`' attribute
`protected GenBaseImpl.GIFEmitter` `createChildGIFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `createChildGIFName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `CREATION_COMMANDS_EDEFAULT` The default value of the '`Creation Commands`' attribute
`protected static boolean` `CREATION_ICONS_EDEFAULT` The default value of the '`Creation Icons`' attribute
`protected static boolean` `CREATION_SUBMENUS_EDEFAULT` The default value of the '`Creation Submenus`' attribute
`protected boolean` `creationCommands` The cached value of the '`Creation Commands`' attribute
`protected boolean` `creationIcons` The cached value of the '`Creation Icons`' attribute
`protected boolean` `creationSubmenus` The cached value of the '`Creation Submenus`' attribute
`protected static boolean` `DYNAMIC_TEMPLATES_EDEFAULT` The default value of the '`Dynamic Templates`' attribute
`protected boolean` `dynamicTemplates` The cached value of the '`Dynamic Templates`' attribute
`protected static java.lang.String` `EDIT_DIRECTORY_EDEFAULT` The default value of the '`Edit Directory`' attribute
`protected static java.lang.String` `EDIT_PLUGIN_CLASS_EDEFAULT` The default value of the '`Edit Plugin Class`' attribute
`protected static java.lang.String` `EDIT_PLUGIN_ID_EDEFAULT` The default value of the '`Edit Plugin ID`' attribute
`protected JETEmitter` `editBuildPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editBuildPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editDirectory` The cached value of the '`Edit Directory`' attribute
`protected boolean` `editDirectoryESet` This is true if the Edit Directory attribute has been set
`protected JETEmitter` `editManifestMFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editManifestMFTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static java.lang.String` `EDITOR_DIRECTORY_EDEFAULT` The default value of the '`Editor Directory`' attribute
`protected static java.lang.String` `EDITOR_PLUGIN_CLASS_EDEFAULT` The default value of the '`Editor Plugin Class`' attribute
`protected static java.lang.String` `EDITOR_PLUGIN_ID_EDEFAULT` The default value of the '`Editor Plugin ID`' attribute
`protected JETEmitter` `editorBuildPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorBuildPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorDirectory` The cached value of the '`Editor Directory`' attribute
`protected boolean` `editorDirectoryESet` This is true if the Editor Directory attribute has been set
`protected JETEmitter` `editorEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `editorManifestMFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorManifestMFTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorPluginClass` The cached value of the '`Editor Plugin Class`' attribute
`protected JETEmitter` `editorPluginClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected boolean` `editorPluginClassESet` This is true if the Editor Plugin Class attribute has been set
`protected java.lang.String` `editorPluginID` The cached value of the '`Editor Plugin ID`' attribute
`protected JETEmitter` `editorPluginPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorPluginPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorPluginTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected EList<java.lang.String>` `editorPluginVariables` The cached value of the '`Editor Plugin Variables`' attribute list
`protected JETEmitter` `editorPluginXMLEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorPluginXMLTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editorTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editPluginClass` The cached value of the '`Edit Plugin Class`' attribute
`protected JETEmitter` `editPluginClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected boolean` `editPluginClassESet` This is true if the Edit Plugin Class attribute has been set
`protected java.lang.String` `editPluginID` The cached value of the '`Edit Plugin ID`' attribute
`protected JETEmitter` `editPluginPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editPluginPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editPluginTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected EList<java.lang.String>` `editPluginVariables` The cached value of the '`Edit Plugin Variables`' attribute list
`protected JETEmitter` `editPluginXMLEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `editPluginXMLTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `enumClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `enumClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected ExtendedMetaData` `extendedMetaData`
`protected static java.lang.String` `FACADE_HELPER_CLASS_EDEFAULT` The default value of the '`Facade Helper Class`' attribute
`protected java.lang.String` `facadeHelperClass` The cached value of the '`Facade Helper Class`' attribute
`protected JETEmitter` `factoryClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `factoryClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `factoryInterfaceEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `factoryInterfaceTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static GenDelegationKind` `FEATURE_DELEGATION_EDEFAULT` The default value of the '`Feature Delegation`' attribute
`protected static java.lang.String` `FEATURE_MAP_WRAPPER_CLASS_EDEFAULT` The default value of the '`Feature Map Wrapper Class`' attribute
`protected static java.lang.String` `FEATURE_MAP_WRAPPER_INTERFACE_EDEFAULT` The default value of the '`Feature Map Wrapper Interface`' attribute
`protected static java.lang.String` `FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE_EDEFAULT` The default value of the '`Feature Map Wrapper Internal Interface`' attribute
`protected GenDelegationKind` `featureDelegation` The cached value of the '`Feature Delegation`' attribute
`protected java.lang.String` `featureMapWrapperClass` The cached value of the '`Feature Map Wrapper Class`' attribute
`protected java.lang.String` `featureMapWrapperInterface` The cached value of the '`Feature Map Wrapper Interface`' attribute
`protected java.lang.String` `featureMapWrapperInternalInterface` The cached value of the '`Feature Map Wrapper Internal Interface`' attribute
`protected static boolean` `FONT_PROVIDERS_EDEFAULT` The default value of the '`Font Providers`' attribute
`protected boolean` `fontProviders` The cached value of the '`Font Providers`' attribute
`protected static boolean` `FORCE_OVERWRITE_EDEFAULT` The default value of the '`Force Overwrite`' attribute
`protected boolean` `forceOverwrite` The cached value of the '`Force Overwrite`' attribute
`protected EList<java.lang.String>` `foreignModel` The cached value of the '`Foreign Model`' attribute list
`protected static boolean` `GENERATE_SCHEMA_EDEFAULT` The default value of the '`Generate Schema`' attribute
`protected boolean` `generateSchema` The cached value of the '`Generate Schema`' attribute
`protected EList<GenPackage>` `genPackages` The cached value of the '`Gen Packages`' containment reference list
`protected static java.lang.String` `IMPORTER_ID_EDEFAULT` The default value of the '`Importer ID`' attribute
`protected java.lang.String` `importerID` The cached value of the '`Importer ID`' attribute
`protected int` `importInsertionPoint`
`protected ImportManager` `importManager`
`protected java.lang.StringBuffer` `importStringBuffer`
`protected JETEmitter` `interfaceEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `interfaceTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected GenBaseImpl.GIFEmitter` `itemGIFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `itemGIFName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `itemProviderAdapterFactoryEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `itemProviderAdapterFactoryTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `itemProviderEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `itemProviderTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JControlModel` `jControlModel` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `jControlModelName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `language` The cached value of the '`Language`' attribute
`protected static java.lang.String` `LANGUAGE_EDEFAULT` The default value of the '`Language`' attribute
`protected java.lang.String` `lineDelimiter`
`protected java.util.Locale` `locale`
`protected JETEmitter` `manifestMFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `manifestMFTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `MINIMAL_REFLECTIVE_METHODS_EDEFAULT` The default value of the '`Minimal Reflective Methods`' attribute
`protected boolean` `minimalReflectiveMethods` The cached value of the '`Minimal Reflective Methods`' attribute
`protected static java.lang.String` `MODEL_DIRECTORY_EDEFAULT` The default value of the '`Model Directory`' attribute
`protected static java.lang.String` `MODEL_NAME_EDEFAULT` The default value of the '`Model Name`' attribute
`protected static java.lang.String` `MODEL_PLUGIN_CLASS_EDEFAULT` The default value of the '`Model Plugin Class`' attribute
`protected static java.lang.String` `MODEL_PLUGIN_ID_EDEFAULT` The default value of the '`Model Plugin ID`' attribute
`protected java.lang.String` `modelDirectory` The cached value of the '`Model Directory`' attribute
`protected GenBaseImpl.GIFEmitter` `modelGIFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelGIFName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelName` The cached value of the '`Model Name`' attribute
`protected java.lang.String` `modelPluginClass` The cached value of the '`Model Plugin Class`' attribute
`protected JETEmitter` `modelPluginClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelPluginID` The cached value of the '`Model Plugin ID`' attribute
`protected java.lang.String` `modelPluginTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected EList<java.lang.String>` `modelPluginVariables` The cached value of the '`Model Plugin Variables`' attribute list
`protected JETEmitter` `modelTestSuiteEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelTestSuiteTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `modelWizardEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected GenBaseImpl.GIFEmitter` `modelWizardGIFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelWizardGIFName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `modelWizardTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static java.lang.String` `NON_EXTERNALIZED_STRING_TAG_EDEFAULT` The default value of the '`Non Externalized String Tag`' attribute
`protected static boolean` `NON_NLS_MARKERS_EDEFAULT` The default value of the '`Non NLS Markers`' attribute
`protected java.lang.String` `nonExternalizedStringTag` The cached value of the '`Non Externalized String Tag`' attribute
`protected boolean` `nonNLSMarkers` The cached value of the '`Non NLS Markers`' attribute
`static java.lang.Class<?>[]` `OBJECT_ARGUMENT` Deprecated. in EMF 2.2. This field will be removed after 2.2.
`protected static boolean` `OPTIMIZED_HAS_CHILDREN_EDEFAULT` The default value of the '`Optimized Has Children`' attribute
`protected boolean` `optimizedHasChildren` The cached value of the '`Optimized Has Children`' attribute
`protected JETEmitter` `packageClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `packageClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `packageExampleEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `packageExampleTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `packageInterfaceEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `packageTestSuiteEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `packageTestSuiteTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `PACKED_ENUMS_EDEFAULT` The default value of the '`Packed Enums`' attribute
`protected boolean` `packedEnums` The cached value of the '`Packed Enums`' attribute
`protected JETEmitter` `pluginPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `pluginPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `pluginXMLEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `pluginXMLTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static java.lang.String` `PROVIDER_ROOT_EXTENDS_CLASS_EDEFAULT` The default value of the '`Provider Root Extends Class`' attribute
`protected java.lang.String` `providerRootExtendsClass` The cached value of the '`Provider Root Extends Class`' attribute
`protected static boolean` `PUBLIC_CONSTRUCTORS_EDEFAULT` The default value of the '`Public Constructors`' attribute
`protected boolean` `publicConstructors` The cached value of the '`Public Constructors`' attribute
`protected java.lang.String` `redirection` The cached value of the '`Redirection`' attribute
`protected static java.lang.String` `REDIRECTION_EDEFAULT` The default value of the '`Redirection`' attribute
`protected static boolean` `REFLECTIVE_DELEGATION_EDEFAULT` The default value of the '`Reflective Delegation`' attribute
`protected JETEmitter` `resourceClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `resourceFactoryClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `resourceFactoryTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `resourceTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `RICH_CLIENT_PLATFORM_EDEFAULT` The default value of the '`Rich Client Platform`' attribute
`protected boolean` `richClientPlatform` The cached value of the '`Rich Client Platform`' attribute
`protected static java.lang.String` `ROOT_EXTENDS_CLASS_EDEFAULT` The default value of the '`Root Extends Class`' attribute
`protected static java.lang.String` `ROOT_EXTENDS_INTERFACE_EDEFAULT` The default value of the '`Root Extends Interface`' attribute
`protected static java.lang.String` `ROOT_IMPLEMENTS_INTERFACE_EDEFAULT` The default value of the '`Root Implements Interface`' attribute
`protected java.lang.String` `rootExtendsClass` The cached value of the '`Root Extends Class`' attribute
`protected java.lang.String` `rootExtendsInterface` The cached value of the '`Root Extends Interface`' attribute
`protected java.lang.String` `rootImplementsInterface` The cached value of the '`Root Implements Interface`' attribute
`protected GenClass` `rootImplementsInterfaceGenClass`
`protected static boolean` `RUNTIME_COMPATIBILITY_EDEFAULT` The default value of the '`Runtime Compatibility`' attribute
`protected static boolean` `RUNTIME_JAR_EDEFAULT` The default value of the '`Runtime Jar`' attribute
`protected static GenRuntimeVersion` `RUNTIME_VERSION_EDEFAULT` The default value of the '`Runtime Version`' attribute
`protected boolean` `runtimeCompatibility` The cached value of the '`Runtime Compatibility`' attribute
`protected boolean` `runtimeJar` The cached value of the '`Runtime Jar`' attribute
`protected GenRuntimeVersion` `runtimeVersion` The cached value of the '`Runtime Version`' attribute
`protected boolean` `runtimeVersionESet` This is true if the Runtime Version attribute has been set
`protected EList<GenPackage>` `staticGenPackages`
`protected EList<java.lang.String>` `staticPackages` The cached value of the '`Static Packages`' attribute list
`protected static boolean` `SUPPRESS_CONTAINMENT_EDEFAULT` The default value of the '`Suppress Containment`' attribute
`protected static boolean` `SUPPRESS_EMF_META_DATA_EDEFAULT` The default value of the '`Suppress EMF Meta Data`' attribute
`protected static boolean` `SUPPRESS_EMF_MODEL_TAGS_EDEFAULT` The default value of the '`Suppress EMF Model Tags`' attribute
`protected static boolean` `SUPPRESS_EMF_TYPES_EDEFAULT` The default value of the '`Suppress EMF Types`' attribute
`protected static boolean` `SUPPRESS_GEN_MODEL_ANNOTATIONS_EDEFAULT` The default value of the '`Suppress Gen Model Annotations`' attribute
`protected static boolean` `SUPPRESS_INTERFACES_EDEFAULT` The default value of the '`Suppress Interfaces`' attribute
`protected static boolean` `SUPPRESS_NOTIFICATION_EDEFAULT` The default value of the '`Suppress Notification`' attribute
`protected static boolean` `SUPPRESS_UNSETTABLE_EDEFAULT` The default value of the '`Suppress Unsettable`' attribute
`protected boolean` `suppressContainment` The cached value of the '`Suppress Containment`' attribute
`protected boolean` `suppressEMFMetaData` The cached value of the '`Suppress EMF Meta Data`' attribute
`protected boolean` `suppressEMFModelTags` The cached value of the '`Suppress EMF Model Tags`' attribute
`protected boolean` `suppressEMFTypes` The cached value of the '`Suppress EMF Types`' attribute
`protected boolean` `suppressGenModelAnnotations` The cached value of the '`Suppress Gen Model Annotations`' attribute
`protected boolean` `suppressInterfaces` The cached value of the '`Suppress Interfaces`' attribute
`protected boolean` `suppressNotification` The cached value of the '`Suppress Notification`' attribute
`protected boolean` `suppressUnsettable` The cached value of the '`Suppress Unsettable`' attribute
`protected JETEmitter` `switchClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `switchClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static boolean` `TABLE_PROVIDERS_EDEFAULT` The default value of the '`Table Providers`' attribute
`protected boolean` `tableProviders` The cached value of the '`Table Providers`' attribute
`protected static java.lang.String` `TEMPLATE_DIRECTORY_EDEFAULT` The default value of the '`Template Directory`' attribute
`protected java.lang.String` `templateDirectory` The cached value of the '`Template Directory`' attribute
`protected java.lang.String[]` `templatePath` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected EList<java.lang.String>` `templatePluginVariables` The cached value of the '`Template Plugin Variables`' attribute list
`protected static java.lang.String` `TEST_SUITE_CLASS_EDEFAULT` The default value of the '`Test Suite Class`' attribute
`protected JETEmitter` `testCaseEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testCaseTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected static java.lang.String` `TESTS_DIRECTORY_EDEFAULT` The default value of the '`Tests Directory`' attribute
`protected static java.lang.String` `TESTS_PLUGIN_ID_EDEFAULT` The default value of the '`Tests Plugin ID`' attribute
`protected JETEmitter` `testsBuildPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsBuildPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsDirectory` The cached value of the '`Tests Directory`' attribute
`protected boolean` `testsDirectoryESet` This is true if the Tests Directory attribute has been set
`protected JETEmitter` `testsManifestMFEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsManifestMFTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsPluginID` The cached value of the '`Tests Plugin ID`' attribute
`protected JETEmitter` `testsPluginPropertiesEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsPluginPropertiesTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected EList<java.lang.String>` `testsPluginVariables` The cached value of the '`Tests Plugin Variables`' attribute list
`protected JETEmitter` `testsPluginXMLEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testsPluginXMLTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `testSuiteClass` The cached value of the '`Test Suite Class`' attribute
`protected boolean` `testSuiteClassESet` This is true if the Test Suite Class attribute has been set
`protected static boolean` `UPDATE_CLASSPATH_EDEFAULT` The default value of the '`Update Classpath`' attribute
`protected boolean` `updateClasspath` The cached value of the '`Update Classpath`' attribute
`protected EList<GenPackage>` `usedGenPackages` The cached value of the '`Used Gen Packages`' reference list
`protected boolean` `validateModel`
`protected JETEmitter` `validatorSwitchClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `validatorSwitchClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected JETEmitter` `xmlProcessorClassEmitter` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.
`protected java.lang.String` `xmlProcessorClassTemplateName` Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenModelImpl()`

Method Summary
`protected void` `addClasspathEntries(JETEmitter jetEmitter)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`void` `addImport(java.lang.String qualifiedName)`
`void` `addPseudoImport(java.lang.String qualifiedName)`
`protected void` `addQualifiedEditorPackageNames(java.util.List<java.lang.String> packageNames, GenPackage genPackage)`
`protected void` `addQualifiedEditPackageNames(java.util.List<java.lang.String> packageNames, GenPackage genPackage)`
`protected void` `addQualifiedModelPackageNames(java.util.List<java.lang.String> packageNames, GenPackage genPackage)`
`protected void` `addQualifiedTestsPackageNames(java.util.List<java.lang.String> packageNames, GenPackage genPackage)`
`boolean` `canGenerate()`
`boolean` `canGenerateEdit()`
`boolean` `canGenerateEditor()`
`boolean` `canGenerateSchema()` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`boolean` `canGenerateTests()`
`java.util.List<GenPackage>` `computeMissingUsedGenPackages()`
`protected java.util.List<GenPackage>` `computeMissingUsedGenPackages(java.util.List<EPackage> missingEPackages)`
`GenBase` `create(EClass eClass)`
`org.eclipse.jdt.core.formatter.CodeFormatter` `createCodeFormatter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenAnnotation` `createGenAnnotation()`
`GenClass` `createGenClass()`
`GenDataType` `createGenDataType()`
`GenEnum` `createGenEnum()`
`GenEnumLiteral` `createGenEnumLiteral()`
`GenFeature` `createGenFeature()`
`GenModel` `createGenModel()`
`GenOperation` `createGenOperation()`
`GenPackage` `createGenPackage()`
`GenParameter` `createGenParameter()`
`GenTypeParameter` `createGenTypeParameter()`
`protected JETEmitter` `createJETEmitter(java.lang.String relativeTemplateURI)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected java.lang.String` `createPackageName(java.lang.String text)`
`Diagnostic` `diagnose()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `emitSortedImports()`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected GenClass` `findGenClass(EClass eClass)`
`GenClassifier` `findGenClassifier(EClassifier classifier)`
`protected GenDataType` `findGenDataType(EDataType eDataType)`
`protected GenEnum` `findGenEnum(EEnum eEnum)`
`GenPackage` `findGenPackage(EPackage ePackage)`
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`JETEmitter` `getActionBarContributorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getAdapterFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.util.List<GenPackage>` `getAllGenAndUsedGenPackagesWithClassifiers()`
`java.util.List<GenFeature>` `getAllGenFeatures()`
`java.util.List<GenPackage>` `getAllGenPackagesWithClassifiers()`
`protected void` `getAllGenPackagesWithClassifiersHelper(java.util.List<GenPackage> result, java.util.List<GenPackage> genPackages)`
`java.util.List<GenPackage>` `getAllGenUsedAndStaticGenPackagesWithClassifiers()`
`java.util.List<GenPackage>` `getAllUsedGenPackagesWithClassifiers()`
`java.lang.String` `getBooleanFlagsField()`
`int` `getBooleanFlagsReservedBits()`
`JETEmitter` `getBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenJDKLevel` `getComplianceLevel()`
`protected java.lang.String` `getCopyright(boolean includeGenModelCopyrightTextAsDefault)`
`java.lang.String` `getCopyrightFieldLiteral()`
`java.lang.String` `getCopyrightText()`
`GenBaseImpl.GIFEmitter` `getCreateChildGIFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getDate()`
`java.lang.String` `getDriverNumber()`
`JETEmitter` `getEditBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditDirectory()` Returns the value of the 'Edit Directory' attribute
`java.lang.String` `getEditDirectoryGen()`
`java.lang.String` `getEditIconsDirectory()`
`JETEmitter` `getEditManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorAdvisorClassName()`
`JETEmitter` `getEditorAdvisorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getEditorBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorDirectory()` Returns the value of the 'Editor Directory' attribute
`java.lang.String` `getEditorDirectoryGen()`
`JETEmitter` `getEditorEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorIconsDirectory()`
`JETEmitter` `getEditorManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorPluginClass()` Returns the value of the 'Editor Plugin Class' attribute
`JETEmitter` `getEditorPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorPluginClassGen()`
`java.lang.String` `getEditorPluginClassName()`
`protected java.lang.String` `getEditorPluginClassToUse()`
`java.lang.String` `getEditorPluginDirectory()`
`java.lang.String` `getEditorPluginID()` Returns the value of the 'Editor Plugin ID' attribute
`java.lang.String` `getEditorPluginIDGen()`
`java.lang.String` `getEditorPluginPackageName()`
`JETEmitter` `getEditorPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getEditorPluginVariables()`
`JETEmitter` `getEditorPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditorProjectDirectory()`
`java.util.List<java.lang.String>` `getEditorQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getEditorRequiredPlugins()`
`java.util.List<java.lang.String>` `getEditorSourceFolders()` Returns the source folders for the editor project.
`java.lang.String` `getEditPluginClass()` Returns the value of the 'Edit Plugin Class' attribute
`JETEmitter` `getEditPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditPluginClassGen()`
`java.lang.String` `getEditPluginClassName()`
`protected java.lang.String` `getEditPluginClassToUse()`
`java.lang.String` `getEditPluginDirectory()`
`java.lang.String` `getEditPluginID()` Returns the value of the 'Edit Plugin ID' attribute
`java.lang.String` `getEditPluginIDGen()`
`java.lang.String` `getEditPluginPackageName()`
`JETEmitter` `getEditPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getEditPluginVariables()`
`JETEmitter` `getEditPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getEditProjectDirectory()`
`java.util.List<java.lang.String>` `getEditQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getEditRequiredPlugins()`
`java.util.List<java.lang.String>` `getEditResourceDelegateImportedPluginClassNames()`
`java.util.List<java.lang.String>` `getEditSourceFolders()` Returns the source folders for the edit project.
`java.util.List<java.lang.String>` `getEffectiveEditorPluginIDs()`
`java.util.List<java.lang.String>` `getEffectiveEditPluginIDs()`
`java.util.List<java.lang.String>` `getEffectiveModelPluginIDs()`
`java.util.List<java.lang.String>` `getEffectiveModelPluginVariables()`
`protected static java.util.List<java.lang.String>` `getEffectivePluginIDs(java.util.List<java.lang.String> pluginVariables)`
`java.util.List<java.lang.String>` `getEffectiveTestsPluginIDs()`
`JETEmitter` `getEnumClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`ExtendedMetaData` `getExtendedMetaData()`
`java.lang.String` `getFacadeHelperClass()`
`JETEmitter` `getFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenDelegationKind` `getFeatureDelegation()`
`java.lang.String` `getFeatureMapWrapperClass()`
`java.lang.String` `getFeatureMapWrapperInterface()`
`java.lang.String` `getFeatureMapWrapperInternalInterface()`
`java.util.List<GenFeature>` `getFilteredAllGenFeatures()`
`EList<java.lang.String>` `getForeignModel()`
`GenModel` `getGenModel()`
`EList<GenPackage>` `getGenPackages()`
`java.lang.String` `getImportedName(java.lang.String qualifiedName)`
`java.lang.String` `getImporterID()`
`ImportManager` `getImportManager()`
`java.lang.String` `getIndentation(java.lang.StringBuffer stringBuffer)`
`GenBaseImpl.GIFEmitter` `getItemGIFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getItemProviderAdapterFactoryEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getItemProviderEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JControlModel` `getJControlModel()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getLanguage()`
`java.lang.String` `getLineDelimiter()`
`java.util.Locale` `getLocale()`
`protected GenPackage` `getMainGenPackage()`
`protected java.lang.String` `getMainPackage()`
`JETEmitter` `getManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getMergeRulesLocation()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.
`java.util.List<EPackage>` `getMissingPackages()`
`protected void` `getMissingPackagesHelper(java.util.List<EPackage> ePackages, java.util.List<GenPackage> genPackages)`
`java.lang.String` `getModelDirectory()`
`java.lang.String` `getModelDirectoryGen()`
`GenBaseImpl.GIFEmitter` `getModelGIFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getModelName()`
`java.lang.String` `getModelPluginClass()`
`JETEmitter` `getModelPluginClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getModelPluginClassName()`
`protected java.lang.String` `getModelPluginClassToUse()`
`java.lang.String` `getModelPluginID()`
`java.lang.String` `getModelPluginPackageName()`
`EList<java.lang.String>` `getModelPluginVariables()`
`protected java.lang.String` `getModelProject()`
`java.lang.String` `getModelProjectDirectory()`
`java.util.List<java.lang.String>` `getModelQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getModelRequiredPlugins()`
`java.util.List<java.lang.String>` `getModelSourceFolders()` Returns the source folders for the model project.
`JETEmitter` `getModelTestSuiteEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getModelWizardEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`GenBaseImpl.GIFEmitter` `getModelWizardGIFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getName()`
`java.lang.String` `getNonExternalizedStringTag()`
`java.lang.String` `getNonNLS()`
`java.lang.String` `getNonNLS(int i)`
`java.lang.String` `getNonNLS(java.lang.String s)`
`java.lang.String` `getNonNLS(java.lang.String s, int i)`
`JETEmitter` `getPackageClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPackageExampleEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPackageTestSuiteEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected java.lang.String` `getPluginClass(boolean isSet, java.lang.String baseName, java.lang.String packageSuffix, java.lang.String classSuffix)`
`protected java.lang.String` `getPluginClassName(java.lang.String baseName, java.lang.String defaultSuffix)`
`protected java.lang.String` `getPluginDirectory(boolean isSet, java.lang.String baseDirectory, java.lang.String suffix)`
`protected java.lang.String` `getPluginPackageName(java.lang.String baseName, java.lang.String pluginID)`
`JETEmitter` `getPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`protected static java.lang.String` `getProjectPath(java.lang.String path)`
`java.util.Set<java.lang.String>` `getPropertyCategories()`
`java.lang.String` `getPropertyCategoryKey(java.lang.String category)`
`java.lang.String` `getProviderRootExtendsClass()`
`java.lang.String` `getQualifiedEditorAdvisorClassName()`
`java.lang.String` `getQualifiedEditorPluginClassName()`
`java.lang.String` `getQualifiedEditPluginClassName()`
`java.lang.String` `getQualifiedModelPluginClassName()`
`java.lang.String` `getQualifiedTestSuiteClassName()`
`java.lang.String` `getRedirection()`
`java.lang.String` `getRelativeGenModelLocation()`
`JETEmitter` `getResourceClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getResourceFactoryClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getRootExtendsClass()`
`java.lang.String` `getRootExtendsInterface()`
`java.lang.String` `getRootImplementsInterface()`
`GenClass` `getRootImplementsInterfaceGenClass()`
`GenRuntimeVersion` `getRuntimeVersion()` Returns the value of the 'Runtime Version' attribute.
`GenRuntimeVersion` `getRuntimeVersionGen()`
`protected java.lang.String` `getSourceFolder(java.lang.String projectDirectory)`
`protected java.lang.String` `getSourceFragmentPath()`
`EList<GenPackage>` `getStaticGenPackages()`
`EList<java.lang.String>` `getStaticPackages()`
`JETEmitter` `getSwitchClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTemplateDirectory()`
`protected java.lang.String[]` `getTemplatePath()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.
`EList<java.lang.String>` `getTemplatePluginVariables()`
`JETEmitter` `getTestCaseEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`JETEmitter` `getTestsBuildPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsDirectory()` Returns the value of the 'Tests Directory' attribute
`java.lang.String` `getTestsDirectoryGen()`
`JETEmitter` `getTestsManifestMFEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsPluginID()` Returns the value of the 'Tests Plugin ID' attribute
`java.lang.String` `getTestsPluginIDGen()`
`JETEmitter` `getTestsPluginPropertiesEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`EList<java.lang.String>` `getTestsPluginVariables()`
`JETEmitter` `getTestsPluginXMLEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getTestsProjectDirectory()`
`java.util.List<java.lang.String>` `getTestsQualifiedPackageNames()`
`java.util.List<java.lang.String>` `getTestsRequiredPlugins()`
`java.util.List<java.lang.String>` `getTestsSourceFolders()` Returns the source folders for the tests project.
`java.lang.String` `getTestSuiteClass()` Returns the value of the 'Test Suite Class' attribute
`java.lang.String` `getTestSuiteClassGen()`
`java.lang.String` `getTestSuiteClassName()`
`java.lang.String` `getTestSuitePackageName()`
`EList<GenPackage>` `getUsedGenPackages()`
`JETEmitter` `getValidatorClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`java.lang.String` `getXMLEncodingChoices()`
`JETEmitter` `getXMLProcessorClassEmitter()` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`boolean` `hasCopyrightField()`
`boolean` `hasEditorSupport()`
`boolean` `hasEditSupport()`
`boolean` `hasLocalGenModel()`
`boolean` `hasModelPluginClass()`
`protected boolean` `hasModelSupport()`
`boolean` `hasPluginSupport()`
`boolean` `hasTestSuiteClass()`
`boolean` `hasTestSupport()`
`boolean` `hasXMLDependency()`
`void` `initialize(java.util.Collection<? extends EPackage> ePackages)`
`boolean` `isArrayAccessors()`
`boolean` `isBinaryCompatibleReflectiveMethods()`
`boolean` `isBooleanFlagsEnabled()`
`boolean` `isBundleManifest()`
`boolean` `isCodeFormatting()`
`boolean` `isColorProviders()`
`boolean` `isContainmentProxies()`
`boolean` `isCopyrightFields()`
`boolean` `isCreationCommands()`
`boolean` `isCreationIcons()`
`boolean` `isCreationSubmenus()`
`boolean` `isDynamicTemplates()`
`boolean` `isFontProviders()`
`boolean` `isForceOverwrite()`
`boolean` `isGenerateSchema()`
`boolean` `isMinimalReflectiveMethods()`
`boolean` `isNonNLSMarkers()`
`boolean` `isOptimizedHasChildren()`
`boolean` `isPackedEnums()`
`boolean` `isPublicConstructors()`
`boolean` `isReflectiveDelegation()`
`boolean` `isRichClientPlatform()`
`boolean` `isRuntimeCompatibility()`
`boolean` `isRuntimeJar()`
`boolean` `isSetEditDirectory()`
`boolean` `isSetEditorDirectory()`
`boolean` `isSetEditorPluginClass()`
`boolean` `isSetEditPluginClass()`
`boolean` `isSetRuntimeVersion()`
`boolean` `isSetTestsDirectory()`
`boolean` `isSetTestSuiteClass()`
`boolean` `isSuppressContainment()`
`boolean` `isSuppressedAnnotation(java.lang.String source)`
`boolean` `isSuppressEMFMetaData()`
`boolean` `isSuppressEMFModelTags()`
`boolean` `isSuppressEMFTypes()`
`boolean` `isSuppressGenModelAnnotations()`
`boolean` `isSuppressInterfaces()`
`boolean` `isSuppressNotification()`
`boolean` `isSuppressUnsettable()`
`boolean` `isTableProviders()`
`boolean` `isUpdateClasspath()`
`boolean` `isValidateModel()`
`boolean` `isVirtualDelegation()`
`void` `markImportLocation(java.lang.StringBuffer stringBuffer)`
`void` `markImportLocation(java.lang.StringBuffer stringBuffer, GenPackage genPackage)`
`boolean` `needsRuntimeCompatibility()`
`protected void` `populateExtendedMetaData(java.util.List<GenPackage> genPackages)`
`boolean` `reconcile()`
`boolean` `reconcile(GenModel oldGenModelVersion)` Restore all the corresponding settings of the old version into this version.
`protected void` `reconcileSettings(GenModel oldGenModelVersion)`
`boolean` `sameEditEditorProject()`
`boolean` `sameEditorTestsProject()`
`boolean` `sameEditTestsProject()`
`boolean` `sameModelEditorProject()`
`boolean` `sameModelEditProject()`
`boolean` `sameModelTestsProject()`
`void` `setArrayAccessors(boolean newArrayAccessors)`
`void` `setBinaryCompatibleReflectiveMethods(boolean newBinaryCompatibleReflectiveMethods)`
`void` `setBooleanFlagsField(java.lang.String newBooleanFlagsField)`
`void` `setBooleanFlagsReservedBits(int newBooleanFlagsReservedBits)`
`void` `setBundleManifest(boolean newBundleManifest)`
`void` `setCanGenerate(boolean canGenerate)`
`void` `setCodeFormatterOptions(java.util.Map options)` Deprecated. In EMF 2.2, the `Generator.Options` should be used to record code formatter options in order to be used via the new Generator-based design. This method will be removed after 2.2.
`void` `setCodeFormatting(boolean newCodeFormatting)`
`void` `setColorProviders(boolean newColorProviders)`
`void` `setComplianceLevel(GenJDKLevel newComplianceLevel)`
`void` `setContainmentProxies(boolean newContainmentProxies)`
`void` `setCopyrightFields(boolean newCopyrightFields)`
`void` `setCopyrightText(java.lang.String newCopyrightText)`
`void` `setCreationCommands(boolean newCreationCommands)`
`void` `setCreationIcons(boolean newCreationIcons)`
`void` `setCreationSubmenus(boolean newCreationSubmenus)`
`void` `setDynamicTemplates(boolean newDynamicTemplates)`
`void` `setEditDirectory(java.lang.String newEditDirectory)`
`void` `setEditorDirectory(java.lang.String newEditorDirectory)`
`void` `setEditorPluginClass(java.lang.String newEditorPluginClass)`
`void` `setEditorPluginID(java.lang.String newEditorPluginID)`
`void` `setEditPluginClass(java.lang.String newEditPluginClass)`
`void` `setEditPluginID(java.lang.String newEditPluginID)`
`void` `setFacadeHelperClass(java.lang.String newFacadeHelperClass)`
`void` `setFeatureDelegation(GenDelegationKind newFeatureDelegation)`
`void` `setFeatureMapWrapperClass(java.lang.String newFeatureMapWrapperClass)`
`void` `setFeatureMapWrapperInterface(java.lang.String newFeatureMapWrapperInterface)`
`void` `setFeatureMapWrapperInternalInterface(java.lang.String newFeatureMapWrapperInternalInterface)`
`void` `setFontProviders(boolean newFontProviders)`
`void` `setForceOverwrite(boolean newForceOverwrite)`
`void` `setGenerateSchema(boolean newGenerateSchema)`
`void` `setImporterID(java.lang.String newImporterID)`
`void` `setImportManager(ImportManager importManager)`
`void` `setLanguage(java.lang.String newLanguage)` Sets the value of the '`Language`' attribute
`void` `setLanguageGen(java.lang.String newLanguage)`
`void` `setLineDelimiter(java.lang.String lineDelimiter)`
`void` `setMethod(JETEmitter jetEmitter, java.lang.String className)` Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.
`void` `setMinimalReflectiveMethods(boolean newMinimalReflectiveMethods)`
`void` `setModelDirectory(java.lang.String newModelDirectory)`
`void` `setModelName(java.lang.String newModelName)`
`void` `setModelPluginClass(java.lang.String newModelPluginClass)`
`void` `setModelPluginID(java.lang.String newModelPluginID)`
`void` `setNonExternalizedStringTag(java.lang.String newNonExternalizedStringTag)` Sets the value of the '`Non Externalized String Tag`' attribute
`void` `setNonExternalizedStringTagGen(java.lang.String newNonExternalizedStringTag)`
`void` `setNonNLSMarkers(boolean newNonNLSMarkers)` Sets the value of the '`Non NLS Markers`' attribute
`void` `setNonNLSMarkersGen(boolean newNonNLSMarkers)`
`void` `setOptimizedHasChildren(boolean newOptimizedHasChildren)`
`void` `setPackedEnums(boolean newPackedEnums)`
`void` `setProviderRootExtendsClass(java.lang.String newProviderRootExtendsClass)`
`void` `setPublicConstructors(boolean newPublicConstructors)`
`void` `setRedirection(java.lang.String newRedirection)`
`void` `setReflectiveDelegation(boolean newReflectiveDelegation)`
`void` `setRichClientPlatform(boolean newRichClientPlatform)`
`void` `setRootExtendsClass(java.lang.String newRootExtendsClass)`
`void` `setRootExtendsInterface(java.lang.String newRootExtendsInterface)`
`void` `setRootImplementsInterface(java.lang.String newRootImplementsInterface)` Sets the value of the '`Root Implements Interface`' attribute
`void` `setRootImplementsInterfaceGen(java.lang.String newRootImplementsInterface)`
`void` `setRuntimeCompatibility(boolean newRuntimeCompatibility)`
`void` `setRuntimeJar(boolean newRuntimeJar)`
`void` `setRuntimeVersion(GenRuntimeVersion newRuntimeVersion)`
`void` `setSuppressContainment(boolean newSuppressContainment)`
`void` `setSuppressEMFMetaData(boolean newSuppressEMFMetaData)`
`void` `setSuppressEMFModelTags(boolean newSuppressEMFModelTags)`
`void` `setSuppressEMFTypes(boolean newSuppressEMFTypes)`
`void` `setSuppressGenModelAnnotations(boolean newSuppressGenModelAnnotations)`
`void` `setSuppressInterfaces(boolean newSuppressInterfaces)`
`void` `setSuppressNotification(boolean newSuppressNotification)`
`void` `setSuppressUnsettable(boolean newSuppressUnsettable)`
`void` `setTableProviders(boolean newTableProviders)`
`void` `setTemplateDirectory(java.lang.String newTemplateDirectory)`
`void` `setTestsDirectory(java.lang.String newTestsDirectory)`
`void` `setTestsPluginID(java.lang.String newTestsPluginID)`
`void` `setTestSuiteClass(java.lang.String newTestSuiteClass)`
`void` `setUpdateClasspath(boolean newUpdateClasspath)`
`void` `setValidateModel(boolean validateModel)`
`java.lang.String` `toString()`
`void` `unsetEditDirectory()`
`void` `unsetEditorDirectory()`
`void` `unsetEditorPluginClass()`
`void` `unsetEditPluginClass()`
`void` `unsetRuntimeVersion()`
`void` `unsetTestsDirectory()`
`void` `unsetTestSuiteClass()`
`boolean` `useClassOverrideAnnotation()`
`boolean` `useGenerics()`
`IStatus` `validate()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenFeature, findGenOperation, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generateEdit, generateEditor, generateSchema, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getDocumentation, getDocumentation, getEcoreModelElement, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getGenAnnotation, getGenAnnotations, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getModelInfo, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase
`capName, format, gen, genEdit, genEditor, generate, generateEdit, generateEditor, generateSchema, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### COPYRIGHT_TEXT_EDEFAULT

    protected static final java.lang.String COPYRIGHT_TEXT_EDEFAULT

  The default value of the '`Copyright Text`' attribute.

  See Also:
    `getCopyrightText()`

### copyrightText

    protected java.lang.String copyrightText

  The cached value of the '`Copyright Text`' attribute.

  See Also:
    `getCopyrightText()`

### MODEL_DIRECTORY_EDEFAULT

    protected static final java.lang.String MODEL_DIRECTORY_EDEFAULT

  The default value of the '`Model Directory`' attribute.

  See Also:
    `getModelDirectory()`

### modelDirectory

    protected java.lang.String modelDirectory

  The cached value of the '`Model Directory`' attribute.

  See Also:
    `getModelDirectory()`

### CREATION_COMMANDS_EDEFAULT

    protected static final boolean CREATION_COMMANDS_EDEFAULT

  The default value of the '`Creation Commands`' attribute.

  See Also:
    `isCreationCommands()`, Constant Field Values

### creationCommands

    protected boolean creationCommands

  The cached value of the '`Creation Commands`' attribute.

  See Also:
    `isCreationCommands()`

### CREATION_ICONS_EDEFAULT

    protected static final boolean CREATION_ICONS_EDEFAULT

  The default value of the '`Creation Icons`' attribute.

  See Also:
    `isCreationIcons()`, Constant Field Values

### creationIcons

    protected boolean creationIcons

  The cached value of the '`Creation Icons`' attribute.

  See Also:
    `isCreationIcons()`

### CREATION_SUBMENUS_EDEFAULT

    protected static final boolean CREATION_SUBMENUS_EDEFAULT

  The default value of the '`Creation Submenus`' attribute.

  See Also:
    `isCreationSubmenus()`, Constant Field Values

### creationSubmenus

    protected boolean creationSubmenus

  The cached value of the '`Creation Submenus`' attribute.

  See Also:
    `isCreationSubmenus()`

### EDIT_DIRECTORY_EDEFAULT

    protected static final java.lang.String EDIT_DIRECTORY_EDEFAULT

  The default value of the '`Edit Directory`' attribute.

  See Also:
    `getEditDirectory()`

### editDirectory

    protected java.lang.String editDirectory

  The cached value of the '`Edit Directory`' attribute.

  See Also:
    `getEditDirectory()`

### editDirectoryESet

    protected boolean editDirectoryESet

  This is true if the Edit Directory attribute has been set.

### EDITOR_DIRECTORY_EDEFAULT

    protected static final java.lang.String EDITOR_DIRECTORY_EDEFAULT

  The default value of the '`Editor Directory`' attribute.

  See Also:
    `getEditorDirectory()`

### editorDirectory

    protected java.lang.String editorDirectory

  The cached value of the '`Editor Directory`' attribute.

  See Also:
    `getEditorDirectory()`

### editorDirectoryESet

    protected boolean editorDirectoryESet

  This is true if the Editor Directory attribute has been set.

### MODEL_PLUGIN_ID_EDEFAULT

    protected static final java.lang.String MODEL_PLUGIN_ID_EDEFAULT

  The default value of the '`Model Plugin ID`' attribute.

  See Also:
    `getModelPluginID()`

### modelPluginID

    protected java.lang.String modelPluginID

  The cached value of the '`Model Plugin ID`' attribute.

  See Also:
    `getModelPluginID()`

### TEMPLATE_DIRECTORY_EDEFAULT

    protected static final java.lang.String TEMPLATE_DIRECTORY_EDEFAULT

  The default value of the '`Template Directory`' attribute.

  See Also:
    `getTemplateDirectory()`

### templateDirectory

    protected java.lang.String templateDirectory

  The cached value of the '`Template Directory`' attribute.

  See Also:
    `getTemplateDirectory()`

### RUNTIME_JAR_EDEFAULT

    protected static final boolean RUNTIME_JAR_EDEFAULT

  The default value of the '`Runtime Jar`' attribute.

  See Also:
    `isRuntimeJar()`, Constant Field Values

### runtimeJar

    protected boolean runtimeJar

  The cached value of the '`Runtime Jar`' attribute.

  See Also:
    `isRuntimeJar()`

### foreignModel

    protected EList<java.lang.String> foreignModel

  The cached value of the '`Foreign Model`' attribute list.

  See Also:
    `getForeignModel()`

### DYNAMIC_TEMPLATES_EDEFAULT

    protected static final boolean DYNAMIC_TEMPLATES_EDEFAULT

  The default value of the '`Dynamic Templates`' attribute.

  See Also:
    `isDynamicTemplates()`, Constant Field Values

### dynamicTemplates

    protected boolean dynamicTemplates

  The cached value of the '`Dynamic Templates`' attribute.

  See Also:
    `isDynamicTemplates()`

### REDIRECTION_EDEFAULT

    protected static final java.lang.String REDIRECTION_EDEFAULT

  The default value of the '`Redirection`' attribute.

  See Also:
    `getRedirection()`

### redirection

    protected java.lang.String redirection

  The cached value of the '`Redirection`' attribute.

  See Also:
    `getRedirection()`

### FORCE_OVERWRITE_EDEFAULT

    protected static final boolean FORCE_OVERWRITE_EDEFAULT

  The default value of the '`Force Overwrite`' attribute.

  See Also:
    `isForceOverwrite()`, Constant Field Values

### forceOverwrite

    protected boolean forceOverwrite

  The cached value of the '`Force Overwrite`' attribute.

  See Also:
    `isForceOverwrite()`

### NON_EXTERNALIZED_STRING_TAG_EDEFAULT

    protected static final java.lang.String NON_EXTERNALIZED_STRING_TAG_EDEFAULT

  The default value of the '`Non Externalized String Tag`' attribute.

  See Also:
    `getNonExternalizedStringTag()`

### nonExternalizedStringTag

    protected java.lang.String nonExternalizedStringTag

  The cached value of the '`Non Externalized String Tag`' attribute.

  See Also:
    `getNonExternalizedStringTag()`

### MODEL_NAME_EDEFAULT

    protected static final java.lang.String MODEL_NAME_EDEFAULT

  The default value of the '`Model Name`' attribute.

  See Also:
    `getModelName()`

### modelName

    protected java.lang.String modelName

  The cached value of the '`Model Name`' attribute.

  See Also:
    `getModelName()`

### MODEL_PLUGIN_CLASS_EDEFAULT

    protected static final java.lang.String MODEL_PLUGIN_CLASS_EDEFAULT

  The default value of the '`Model Plugin Class`' attribute.

  See Also:
    `getModelPluginClass()`

### modelPluginClass

    protected java.lang.String modelPluginClass

  The cached value of the '`Model Plugin Class`' attribute.

  See Also:
    `getModelPluginClass()`

### EDIT_PLUGIN_CLASS_EDEFAULT

    protected static final java.lang.String EDIT_PLUGIN_CLASS_EDEFAULT

  The default value of the '`Edit Plugin Class`' attribute.

  See Also:
    `getEditPluginClass()`

### editPluginClass

    protected java.lang.String editPluginClass

  The cached value of the '`Edit Plugin Class`' attribute.

  See Also:
    `getEditPluginClass()`

### editPluginClassESet

    protected boolean editPluginClassESet

  This is true if the Edit Plugin Class attribute has been set.

### EDITOR_PLUGIN_CLASS_EDEFAULT

    protected static final java.lang.String EDITOR_PLUGIN_CLASS_EDEFAULT

  The default value of the '`Editor Plugin Class`' attribute.

  See Also:
    `getEditorPluginClass()`

### editorPluginClass

    protected java.lang.String editorPluginClass

  The cached value of the '`Editor Plugin Class`' attribute.

  See Also:
    `getEditorPluginClass()`

### editorPluginClassESet

    protected boolean editorPluginClassESet

  This is true if the Editor Plugin Class attribute has been set.

### UPDATE_CLASSPATH_EDEFAULT

    protected static final boolean UPDATE_CLASSPATH_EDEFAULT

  The default value of the '`Update Classpath`' attribute.

  See Also:
    `isUpdateClasspath()`, Constant Field Values

### updateClasspath

    protected boolean updateClasspath

  The cached value of the '`Update Classpath`' attribute.

  See Also:
    `isUpdateClasspath()`

### GENERATE_SCHEMA_EDEFAULT

    protected static final boolean GENERATE_SCHEMA_EDEFAULT

  The default value of the '`Generate Schema`' attribute.

  See Also:
    `isGenerateSchema()`, Constant Field Values

### generateSchema

    protected boolean generateSchema

  The cached value of the '`Generate Schema`' attribute.

  See Also:
    `isGenerateSchema()`

### NON_NLS_MARKERS_EDEFAULT

    protected static final boolean NON_NLS_MARKERS_EDEFAULT

  The default value of the '`Non NLS Markers`' attribute.

  See Also:
    `isNonNLSMarkers()`, Constant Field Values

### nonNLSMarkers

    protected boolean nonNLSMarkers

  The cached value of the '`Non NLS Markers`' attribute.

  See Also:
    `isNonNLSMarkers()`

### staticPackages

    protected EList<java.lang.String> staticPackages

  The cached value of the '`Static Packages`' attribute list.

  See Also:
    `getStaticPackages()`

### modelPluginVariables

    protected EList<java.lang.String> modelPluginVariables

  The cached value of the '`Model Plugin Variables`' attribute list.

  See Also:
    `getModelPluginVariables()`

### ROOT_EXTENDS_INTERFACE_EDEFAULT

    protected static final java.lang.String ROOT_EXTENDS_INTERFACE_EDEFAULT

  The default value of the '`Root Extends Interface`' attribute.

  See Also:
    `getRootExtendsInterface()`, Constant Field Values

### rootExtendsInterface

    protected java.lang.String rootExtendsInterface

  The cached value of the '`Root Extends Interface`' attribute.

  See Also:
    `getRootExtendsInterface()`

### ROOT_EXTENDS_CLASS_EDEFAULT

    protected static final java.lang.String ROOT_EXTENDS_CLASS_EDEFAULT

  The default value of the '`Root Extends Class`' attribute.

  See Also:
    `getRootExtendsClass()`, Constant Field Values

### rootExtendsClass

    protected java.lang.String rootExtendsClass

  The cached value of the '`Root Extends Class`' attribute.

  See Also:
    `getRootExtendsClass()`

### ROOT_IMPLEMENTS_INTERFACE_EDEFAULT

    protected static final java.lang.String ROOT_IMPLEMENTS_INTERFACE_EDEFAULT

  The default value of the '`Root Implements Interface`' attribute.

  See Also:
    `getRootImplementsInterface()`

### rootImplementsInterface

    protected java.lang.String rootImplementsInterface

  The cached value of the '`Root Implements Interface`' attribute.

  See Also:
    `getRootImplementsInterface()`

### SUPPRESS_EMF_TYPES_EDEFAULT

    protected static final boolean SUPPRESS_EMF_TYPES_EDEFAULT

  The default value of the '`Suppress EMF Types`' attribute.

  See Also:
    `isSuppressEMFTypes()`, Constant Field Values

### suppressEMFTypes

    protected boolean suppressEMFTypes

  The cached value of the '`Suppress EMF Types`' attribute.

  See Also:
    `isSuppressEMFTypes()`

### SUPPRESS_EMF_META_DATA_EDEFAULT

    protected static final boolean SUPPRESS_EMF_META_DATA_EDEFAULT

  The default value of the '`Suppress EMF Meta Data`' attribute.

  See Also:
    `isSuppressEMFMetaData()`, Constant Field Values

### suppressEMFMetaData

    protected boolean suppressEMFMetaData

  The cached value of the '`Suppress EMF Meta Data`' attribute.

  See Also:
    `isSuppressEMFMetaData()`

### SUPPRESS_EMF_MODEL_TAGS_EDEFAULT

    protected static final boolean SUPPRESS_EMF_MODEL_TAGS_EDEFAULT

  The default value of the '`Suppress EMF Model Tags`' attribute.

  See Also:
    `isSuppressEMFModelTags()`, Constant Field Values

### suppressEMFModelTags

    protected boolean suppressEMFModelTags

  The cached value of the '`Suppress EMF Model Tags`' attribute.

  See Also:
    `isSuppressEMFModelTags()`

### SUPPRESS_INTERFACES_EDEFAULT

    protected static final boolean SUPPRESS_INTERFACES_EDEFAULT

  The default value of the '`Suppress Interfaces`' attribute.

  See Also:
    `isSuppressInterfaces()`, Constant Field Values

### suppressInterfaces

    protected boolean suppressInterfaces

  The cached value of the '`Suppress Interfaces`' attribute.

  See Also:
    `isSuppressInterfaces()`

### FEATURE_MAP_WRAPPER_INTERFACE_EDEFAULT

    protected static final java.lang.String FEATURE_MAP_WRAPPER_INTERFACE_EDEFAULT

  The default value of the '`Feature Map Wrapper Interface`' attribute.

  See Also:
    `getFeatureMapWrapperInterface()`

### featureMapWrapperInterface

    protected java.lang.String featureMapWrapperInterface

  The cached value of the '`Feature Map Wrapper Interface`' attribute.

  See Also:
    `getFeatureMapWrapperInterface()`

### FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE_EDEFAULT

    protected static final java.lang.String FEATURE_MAP_WRAPPER_INTERNAL_INTERFACE_EDEFAULT

  The default value of the '`Feature Map Wrapper Internal Interface`' attribute.

  See Also:
    `getFeatureMapWrapperInternalInterface()`

### featureMapWrapperInternalInterface

    protected java.lang.String featureMapWrapperInternalInterface

  The cached value of the '`Feature Map Wrapper Internal Interface`' attribute.

  See Also:
    `getFeatureMapWrapperInternalInterface()`

### FEATURE_MAP_WRAPPER_CLASS_EDEFAULT

    protected static final java.lang.String FEATURE_MAP_WRAPPER_CLASS_EDEFAULT

  The default value of the '`Feature Map Wrapper Class`' attribute.

  See Also:
    `getFeatureMapWrapperClass()`

### featureMapWrapperClass

    protected java.lang.String featureMapWrapperClass

  The cached value of the '`Feature Map Wrapper Class`' attribute.

  See Also:
    `getFeatureMapWrapperClass()`

### RUNTIME_COMPATIBILITY_EDEFAULT

    protected static final boolean RUNTIME_COMPATIBILITY_EDEFAULT

  The default value of the '`Runtime Compatibility`' attribute.

  See Also:
    `isRuntimeCompatibility()`, Constant Field Values

### runtimeCompatibility

    protected boolean runtimeCompatibility

  The cached value of the '`Runtime Compatibility`' attribute.

  See Also:
    `isRuntimeCompatibility()`

### RICH_CLIENT_PLATFORM_EDEFAULT

    protected static final boolean RICH_CLIENT_PLATFORM_EDEFAULT

  The default value of the '`Rich Client Platform`' attribute.

  See Also:
    `isRichClientPlatform()`, Constant Field Values

### richClientPlatform

    protected boolean richClientPlatform

  The cached value of the '`Rich Client Platform`' attribute.

  See Also:
    `isRichClientPlatform()`

### REFLECTIVE_DELEGATION_EDEFAULT

    protected static final boolean REFLECTIVE_DELEGATION_EDEFAULT

  The default value of the '`Reflective Delegation`' attribute.

  See Also:
    `isReflectiveDelegation()`, Constant Field Values

### CODE_FORMATTING_EDEFAULT

    protected static final boolean CODE_FORMATTING_EDEFAULT

  The default value of the '`Code Formatting`' attribute.

  See Also:
    `isCodeFormatting()`, Constant Field Values

### codeFormatting

    protected boolean codeFormatting

  The cached value of the '`Code Formatting`' attribute.

  See Also:
    `isCodeFormatting()`

### TESTS_DIRECTORY_EDEFAULT

    protected static final java.lang.String TESTS_DIRECTORY_EDEFAULT

  The default value of the '`Tests Directory`' attribute.

  See Also:
    `getTestsDirectory()`

### testsDirectory

    protected java.lang.String testsDirectory

  The cached value of the '`Tests Directory`' attribute.

  See Also:
    `getTestsDirectory()`

### testsDirectoryESet

    protected boolean testsDirectoryESet

  This is true if the Tests Directory attribute has been set.

### TEST_SUITE_CLASS_EDEFAULT

    protected static final java.lang.String TEST_SUITE_CLASS_EDEFAULT

  The default value of the '`Test Suite Class`' attribute.

  See Also:
    `getTestSuiteClass()`

### testSuiteClass

    protected java.lang.String testSuiteClass

  The cached value of the '`Test Suite Class`' attribute.

  See Also:
    `getTestSuiteClass()`

### testSuiteClassESet

    protected boolean testSuiteClassESet

  This is true if the Test Suite Class attribute has been set.

### BOOLEAN_FLAGS_FIELD_EDEFAULT

    protected static final java.lang.String BOOLEAN_FLAGS_FIELD_EDEFAULT

  The default value of the '`Boolean Flags Field`' attribute.

  See Also:
    `getBooleanFlagsField()`

### booleanFlagsField

    protected java.lang.String booleanFlagsField

  The cached value of the '`Boolean Flags Field`' attribute.

  See Also:
    `getBooleanFlagsField()`

### BOOLEAN_FLAGS_RESERVED_BITS_EDEFAULT

    protected static final int BOOLEAN_FLAGS_RESERVED_BITS_EDEFAULT

  The default value of the '`Boolean Flags Reserved Bits`' attribute.

  See Also:
    `getBooleanFlagsReservedBits()`, Constant Field Values

### booleanFlagsReservedBits

    protected int booleanFlagsReservedBits

  The cached value of the '`Boolean Flags Reserved Bits`' attribute.

  See Also:
    `getBooleanFlagsReservedBits()`

### IMPORTER_ID_EDEFAULT

    protected static final java.lang.String IMPORTER_ID_EDEFAULT

  The default value of the '`Importer ID`' attribute.

  See Also:
    `getImporterID()`

### importerID

    protected java.lang.String importerID

  The cached value of the '`Importer ID`' attribute.

  See Also:
    `getImporterID()`

### BUNDLE_MANIFEST_EDEFAULT

    protected static final boolean BUNDLE_MANIFEST_EDEFAULT

  The default value of the '`Bundle Manifest`' attribute.

  See Also:
    `isBundleManifest()`, Constant Field Values

### bundleManifest

    protected boolean bundleManifest

  The cached value of the '`Bundle Manifest`' attribute.

  See Also:
    `isBundleManifest()`

### FEATURE_DELEGATION_EDEFAULT

    protected static final GenDelegationKind FEATURE_DELEGATION_EDEFAULT

  The default value of the '`Feature Delegation`' attribute.

  See Also:
    `getFeatureDelegation()`

### featureDelegation

    protected GenDelegationKind featureDelegation

  The cached value of the '`Feature Delegation`' attribute.

  See Also:
    `getFeatureDelegation()`

### CONTAINMENT_PROXIES_EDEFAULT

    protected static final boolean CONTAINMENT_PROXIES_EDEFAULT

  The default value of the '`Containment Proxies`' attribute.

  See Also:
    `isContainmentProxies()`, Constant Field Values

### containmentProxies

    protected boolean containmentProxies

  The cached value of the '`Containment Proxies`' attribute.

  See Also:
    `isContainmentProxies()`

### MINIMAL_REFLECTIVE_METHODS_EDEFAULT

    protected static final boolean MINIMAL_REFLECTIVE_METHODS_EDEFAULT

  The default value of the '`Minimal Reflective Methods`' attribute.

  See Also:
    `isMinimalReflectiveMethods()`, Constant Field Values

### minimalReflectiveMethods

    protected boolean minimalReflectiveMethods

  The cached value of the '`Minimal Reflective Methods`' attribute.

  See Also:
    `isMinimalReflectiveMethods()`

### SUPPRESS_CONTAINMENT_EDEFAULT

    protected static final boolean SUPPRESS_CONTAINMENT_EDEFAULT

  The default value of the '`Suppress Containment`' attribute.

  See Also:
    `isSuppressContainment()`, Constant Field Values

### suppressContainment

    protected boolean suppressContainment

  The cached value of the '`Suppress Containment`' attribute.

  See Also:
    `isSuppressContainment()`

### SUPPRESS_NOTIFICATION_EDEFAULT

    protected static final boolean SUPPRESS_NOTIFICATION_EDEFAULT

  The default value of the '`Suppress Notification`' attribute.

  See Also:
    `isSuppressNotification()`, Constant Field Values

### suppressNotification

    protected boolean suppressNotification

  The cached value of the '`Suppress Notification`' attribute.

  See Also:
    `isSuppressNotification()`

### ARRAY_ACCESSORS_EDEFAULT

    protected static final boolean ARRAY_ACCESSORS_EDEFAULT

  The default value of the '`Array Accessors`' attribute.

  See Also:
    `isArrayAccessors()`, Constant Field Values

### arrayAccessors

    protected boolean arrayAccessors

  The cached value of the '`Array Accessors`' attribute.

  See Also:
    `isArrayAccessors()`

### SUPPRESS_UNSETTABLE_EDEFAULT

    protected static final boolean SUPPRESS_UNSETTABLE_EDEFAULT

  The default value of the '`Suppress Unsettable`' attribute.

  See Also:
    `isSuppressUnsettable()`, Constant Field Values

### suppressUnsettable

    protected boolean suppressUnsettable

  The cached value of the '`Suppress Unsettable`' attribute.

  See Also:
    `isSuppressUnsettable()`

### FACADE_HELPER_CLASS_EDEFAULT

    protected static final java.lang.String FACADE_HELPER_CLASS_EDEFAULT

  The default value of the '`Facade Helper Class`' attribute. This value should be always equals to JMerger.DEFAULT_FACADE_HELPER_CLASS.

  See Also:
    `getFacadeHelperClass()`, Constant Field Values

### facadeHelperClass

    protected java.lang.String facadeHelperClass

  The cached value of the '`Facade Helper Class`' attribute.

  See Also:
    `getFacadeHelperClass()`

### COMPLIANCE_LEVEL_EDEFAULT

    protected static final GenJDKLevel COMPLIANCE_LEVEL_EDEFAULT

  The default value of the '`Compliance Level`' attribute.

  See Also:
    `getComplianceLevel()`

### complianceLevel

    protected GenJDKLevel complianceLevel

  The cached value of the '`Compliance Level`' attribute.

  See Also:
    `getComplianceLevel()`

### SUPPRESS_GEN_MODEL_ANNOTATIONS_EDEFAULT

    protected static final boolean SUPPRESS_GEN_MODEL_ANNOTATIONS_EDEFAULT

  The default value of the '`Suppress Gen Model Annotations`' attribute.

  See Also:
    `isSuppressGenModelAnnotations()`, Constant Field Values

### suppressGenModelAnnotations

    protected boolean suppressGenModelAnnotations

  The cached value of the '`Suppress Gen Model Annotations`' attribute.

  See Also:
    `isSuppressGenModelAnnotations()`

### COPYRIGHT_FIELDS_EDEFAULT

    protected static final boolean COPYRIGHT_FIELDS_EDEFAULT

  The default value of the '`Copyright Fields`' attribute.

  See Also:
    `isCopyrightFields()`, Constant Field Values

### copyrightFields

    protected boolean copyrightFields

  The cached value of the '`Copyright Fields`' attribute.

  See Also:
    `isCopyrightFields()`

### BINARY_COMPATIBLE_REFLECTIVE_METHODS_EDEFAULT

    protected static final boolean BINARY_COMPATIBLE_REFLECTIVE_METHODS_EDEFAULT

  The default value of the '`Binary Compatible Reflective Methods`' attribute.

  See Also:
    `isBinaryCompatibleReflectiveMethods()`, Constant Field Values

### binaryCompatibleReflectiveMethods

    protected boolean binaryCompatibleReflectiveMethods

  The cached value of the '`Binary Compatible Reflective Methods`' attribute.

  See Also:
    `isBinaryCompatibleReflectiveMethods()`

### PUBLIC_CONSTRUCTORS_EDEFAULT

    protected static final boolean PUBLIC_CONSTRUCTORS_EDEFAULT

  The default value of the '`Public Constructors`' attribute.

  See Also:
    `isPublicConstructors()`, Constant Field Values

### publicConstructors

    protected boolean publicConstructors

  The cached value of the '`Public Constructors`' attribute.

  See Also:
    `isPublicConstructors()`

### templatePluginVariables

    protected EList<java.lang.String> templatePluginVariables

  The cached value of the '`Template Plugin Variables`' attribute list.

  See Also:
    `getTemplatePluginVariables()`

### PROVIDER_ROOT_EXTENDS_CLASS_EDEFAULT

    protected static final java.lang.String PROVIDER_ROOT_EXTENDS_CLASS_EDEFAULT

  The default value of the '`Provider Root Extends Class`' attribute.

  See Also:
    `getProviderRootExtendsClass()`

### providerRootExtendsClass

    protected java.lang.String providerRootExtendsClass

  The cached value of the '`Provider Root Extends Class`' attribute.

  See Also:
    `getProviderRootExtendsClass()`

### EDIT_PLUGIN_ID_EDEFAULT

    protected static final java.lang.String EDIT_PLUGIN_ID_EDEFAULT

  The default value of the '`Edit Plugin ID`' attribute.

  See Also:
    `getEditPluginID()`

### editPluginID

    protected java.lang.String editPluginID

  The cached value of the '`Edit Plugin ID`' attribute.

  See Also:
    `getEditPluginID()`

### editPluginVariables

    protected EList<java.lang.String> editPluginVariables

  The cached value of the '`Edit Plugin Variables`' attribute list.

  See Also:
    `getEditPluginVariables()`

### EDITOR_PLUGIN_ID_EDEFAULT

    protected static final java.lang.String EDITOR_PLUGIN_ID_EDEFAULT

  The default value of the '`Editor Plugin ID`' attribute.

  See Also:
    `getEditorPluginID()`

### editorPluginID

    protected java.lang.String editorPluginID

  The cached value of the '`Editor Plugin ID`' attribute.

  See Also:
    `getEditorPluginID()`

### editorPluginVariables

    protected EList<java.lang.String> editorPluginVariables

  The cached value of the '`Editor Plugin Variables`' attribute list.

  See Also:
    `getEditorPluginVariables()`

### TESTS_PLUGIN_ID_EDEFAULT

    protected static final java.lang.String TESTS_PLUGIN_ID_EDEFAULT

  The default value of the '`Tests Plugin ID`' attribute.

  See Also:
    `getTestsPluginID()`

### testsPluginID

    protected java.lang.String testsPluginID

  The cached value of the '`Tests Plugin ID`' attribute.

  See Also:
    `getTestsPluginID()`

### testsPluginVariables

    protected EList<java.lang.String> testsPluginVariables

  The cached value of the '`Tests Plugin Variables`' attribute list.

  See Also:
    `getTestsPluginVariables()`

### OPTIMIZED_HAS_CHILDREN_EDEFAULT

    protected static final boolean OPTIMIZED_HAS_CHILDREN_EDEFAULT

  The default value of the '`Optimized Has Children`' attribute.

  See Also:
    `isOptimizedHasChildren()`, Constant Field Values

### optimizedHasChildren

    protected boolean optimizedHasChildren

  The cached value of the '`Optimized Has Children`' attribute.

  See Also:
    `isOptimizedHasChildren()`

### TABLE_PROVIDERS_EDEFAULT

    protected static final boolean TABLE_PROVIDERS_EDEFAULT

  The default value of the '`Table Providers`' attribute.

  See Also:
    `isTableProviders()`, Constant Field Values

### tableProviders

    protected boolean tableProviders

  The cached value of the '`Table Providers`' attribute.

  See Also:
    `isTableProviders()`

### COLOR_PROVIDERS_EDEFAULT

    protected static final boolean COLOR_PROVIDERS_EDEFAULT

  The default value of the '`Color Providers`' attribute.

  See Also:
    `isColorProviders()`, Constant Field Values

### colorProviders

    protected boolean colorProviders

  The cached value of the '`Color Providers`' attribute.

  See Also:
    `isColorProviders()`

### FONT_PROVIDERS_EDEFAULT

    protected static final boolean FONT_PROVIDERS_EDEFAULT

  The default value of the '`Font Providers`' attribute.

  See Also:
    `isFontProviders()`, Constant Field Values

### fontProviders

    protected boolean fontProviders

  The cached value of the '`Font Providers`' attribute.

  See Also:
    `isFontProviders()`

### RUNTIME_VERSION_EDEFAULT

    protected static final GenRuntimeVersion RUNTIME_VERSION_EDEFAULT

  The default value of the '`Runtime Version`' attribute.

  See Also:
    `getRuntimeVersion()`

### runtimeVersion

    protected GenRuntimeVersion runtimeVersion

  The cached value of the '`Runtime Version`' attribute.

  See Also:
    `getRuntimeVersion()`

### runtimeVersionESet

    protected boolean runtimeVersionESet

  This is true if the Runtime Version attribute has been set.

### LANGUAGE_EDEFAULT

    protected static final java.lang.String LANGUAGE_EDEFAULT

  The default value of the '`Language`' attribute.

  See Also:
    `getLanguage()`

### language

    protected java.lang.String language

  The cached value of the '`Language`' attribute.

  See Also:
    `getLanguage()`

### PACKED_ENUMS_EDEFAULT

    protected static final boolean PACKED_ENUMS_EDEFAULT

  The default value of the '`Packed Enums`' attribute.

  See Also:
    `isPackedEnums()`, Constant Field Values

### packedEnums

    protected boolean packedEnums

  The cached value of the '`Packed Enums`' attribute.

  See Also:
    `isPackedEnums()`

### genPackages

    protected EList<GenPackage> genPackages

  The cached value of the '`Gen Packages`' containment reference list.

  See Also:
    `getGenPackages()`

### staticGenPackages

    protected EList<GenPackage> staticGenPackages

### usedGenPackages

    protected EList<GenPackage> usedGenPackages

  The cached value of the '`Used Gen Packages`' reference list.

  See Also:
    `getUsedGenPackages()`

### validateModel

    protected boolean validateModel

### importManager

    protected ImportManager importManager

### importStringBuffer

    protected java.lang.StringBuffer importStringBuffer

### importInsertionPoint

    protected int importInsertionPoint

### canGenerate

    protected boolean canGenerate

### lineDelimiter

    protected java.lang.String lineDelimiter

### jControlModelName

    @Deprecated
    protected java.lang.String jControlModelName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### interfaceTemplateName

    @Deprecated
    protected java.lang.String interfaceTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### classTemplateName

    @Deprecated
    protected java.lang.String classTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### enumClassTemplateName

    @Deprecated
    protected java.lang.String enumClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageClassTemplateName

    @Deprecated
    protected java.lang.String packageClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### factoryInterfaceTemplateName

    @Deprecated
    protected java.lang.String factoryInterfaceTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### factoryClassTemplateName

    @Deprecated
    protected java.lang.String factoryClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### adapterFactoryClassTemplateName

    @Deprecated
    protected java.lang.String adapterFactoryClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### switchClassTemplateName

    @Deprecated
    protected java.lang.String switchClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### validatorSwitchClassTemplateName

    @Deprecated
    protected java.lang.String validatorSwitchClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### xmlProcessorClassTemplateName

    @Deprecated
    protected java.lang.String xmlProcessorClassTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### pluginXMLTemplateName

    @Deprecated
    protected java.lang.String pluginXMLTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### manifestMFTemplateName

    @Deprecated
    protected java.lang.String manifestMFTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### pluginPropertiesTemplateName

    @Deprecated
    protected java.lang.String pluginPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### buildPropertiesTemplateName

    @Deprecated
    protected java.lang.String buildPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelPluginTemplateName

    @Deprecated
    protected java.lang.String modelPluginTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### resourceTemplateName

    @Deprecated
    protected java.lang.String resourceTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### resourceFactoryTemplateName

    @Deprecated
    protected java.lang.String resourceFactoryTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### templatePath

    @Deprecated
    protected java.lang.String[] templatePath

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### jControlModel

    @Deprecated
    protected JControlModel jControlModel

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### interfaceEmitter

    @Deprecated
    protected JETEmitter interfaceEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### classEmitter

    @Deprecated
    protected JETEmitter classEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### enumClassEmitter

    @Deprecated
    protected JETEmitter enumClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageInterfaceEmitter

    @Deprecated
    protected JETEmitter packageInterfaceEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageClassEmitter

    @Deprecated
    protected JETEmitter packageClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### factoryInterfaceEmitter

    @Deprecated
    protected JETEmitter factoryInterfaceEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### factoryClassEmitter

    @Deprecated
    protected JETEmitter factoryClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### adapterFactoryClassEmitter

    @Deprecated
    protected JETEmitter adapterFactoryClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### switchClassEmitter

    @Deprecated
    protected JETEmitter switchClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### validatorSwitchClassEmitter

    @Deprecated
    protected JETEmitter validatorSwitchClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### xmlProcessorClassEmitter

    @Deprecated
    protected JETEmitter xmlProcessorClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### pluginXMLEmitter

    @Deprecated
    protected JETEmitter pluginXMLEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### manifestMFEmitter

    @Deprecated
    protected JETEmitter manifestMFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### pluginPropertiesEmitter

    @Deprecated
    protected JETEmitter pluginPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### buildPropertiesEmitter

    @Deprecated
    protected JETEmitter buildPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelPluginClassEmitter

    @Deprecated
    protected JETEmitter modelPluginClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### resourceClassEmitter

    @Deprecated
    protected JETEmitter resourceClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### resourceFactoryClassEmitter

    @Deprecated
    protected JETEmitter resourceFactoryClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### OBJECT_ARGUMENT

    @Deprecated
    public static final java.lang.Class<?>[] OBJECT_ARGUMENT

  Deprecated. in EMF 2.2. This field will be removed after 2.2.

### extendedMetaData

    protected ExtendedMetaData extendedMetaData

### itemProviderTemplateName

    @Deprecated
    protected java.lang.String itemProviderTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### itemProviderAdapterFactoryTemplateName

    @Deprecated
    protected java.lang.String itemProviderAdapterFactoryTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginTemplateName

    @Deprecated
    protected java.lang.String editPluginTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginXMLTemplateName

    @Deprecated
    protected java.lang.String editPluginXMLTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editManifestMFTemplateName

    @Deprecated
    protected java.lang.String editManifestMFTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginPropertiesTemplateName

    @Deprecated
    protected java.lang.String editPluginPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editBuildPropertiesTemplateName

    @Deprecated
    protected java.lang.String editBuildPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### itemGIFName

    @Deprecated
    protected java.lang.String itemGIFName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### createChildGIFName

    @Deprecated
    protected java.lang.String createChildGIFName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorTemplateName

    @Deprecated
    protected java.lang.String editorTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### actionBarContributorTemplateName

    @Deprecated
    protected java.lang.String actionBarContributorTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelWizardTemplateName

    @Deprecated
    protected java.lang.String modelWizardTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### advisorTemplateName

    @Deprecated
    protected java.lang.String advisorTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginTemplateName

    @Deprecated
    protected java.lang.String editorPluginTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginXMLTemplateName

    @Deprecated
    protected java.lang.String editorPluginXMLTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorManifestMFTemplateName

    @Deprecated
    protected java.lang.String editorManifestMFTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginPropertiesTemplateName

    @Deprecated
    protected java.lang.String editorPluginPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorBuildPropertiesTemplateName

    @Deprecated
    protected java.lang.String editorBuildPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelGIFName

    @Deprecated
    protected java.lang.String modelGIFName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelWizardGIFName

    @Deprecated
    protected java.lang.String modelWizardGIFName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### itemProviderEmitter

    @Deprecated
    protected JETEmitter itemProviderEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### itemProviderAdapterFactoryEmitter

    @Deprecated
    protected JETEmitter itemProviderAdapterFactoryEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginClassEmitter

    @Deprecated
    protected JETEmitter editPluginClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginXMLEmitter

    @Deprecated
    protected JETEmitter editPluginXMLEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editManifestMFEmitter

    @Deprecated
    protected JETEmitter editManifestMFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editPluginPropertiesEmitter

    @Deprecated
    protected JETEmitter editPluginPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editBuildPropertiesEmitter

    @Deprecated
    protected JETEmitter editBuildPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### itemGIFEmitter

    @Deprecated
    protected GenBaseImpl.GIFEmitter itemGIFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### createChildGIFEmitter

    @Deprecated
    protected GenBaseImpl.GIFEmitter createChildGIFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorEmitter

    @Deprecated
    protected JETEmitter editorEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### actionBarContributorEmitter

    @Deprecated
    protected JETEmitter actionBarContributorEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelWizardEmitter

    @Deprecated
    protected JETEmitter modelWizardEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### advisorEmitter

    @Deprecated
    protected JETEmitter advisorEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginClassEmitter

    @Deprecated
    protected JETEmitter editorPluginClassEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorManifestMFEmitter

    @Deprecated
    protected JETEmitter editorManifestMFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginXMLEmitter

    @Deprecated
    protected JETEmitter editorPluginXMLEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorPluginPropertiesEmitter

    @Deprecated
    protected JETEmitter editorPluginPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### editorBuildPropertiesEmitter

    @Deprecated
    protected JETEmitter editorBuildPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelGIFEmitter

    @Deprecated
    protected GenBaseImpl.GIFEmitter modelGIFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelWizardGIFEmitter

    @Deprecated
    protected GenBaseImpl.GIFEmitter modelWizardGIFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testCaseTemplateName

    @Deprecated
    protected java.lang.String testCaseTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelTestSuiteTemplateName

    @Deprecated
    protected java.lang.String modelTestSuiteTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageTestSuiteTemplateName

    @Deprecated
    protected java.lang.String packageTestSuiteTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageExampleTemplateName

    @Deprecated
    protected java.lang.String packageExampleTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsPluginXMLTemplateName

    @Deprecated
    protected java.lang.String testsPluginXMLTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsManifestMFTemplateName

    @Deprecated
    protected java.lang.String testsManifestMFTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsPluginPropertiesTemplateName

    @Deprecated
    protected java.lang.String testsPluginPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsBuildPropertiesTemplateName

    @Deprecated
    protected java.lang.String testsBuildPropertiesTemplateName

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testCaseEmitter

    @Deprecated
    protected JETEmitter testCaseEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### modelTestSuiteEmitter

    @Deprecated
    protected JETEmitter modelTestSuiteEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageTestSuiteEmitter

    @Deprecated
    protected JETEmitter packageTestSuiteEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### packageExampleEmitter

    @Deprecated
    protected JETEmitter packageExampleEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsPluginXMLEmitter

    @Deprecated
    protected JETEmitter testsPluginXMLEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsManifestMFEmitter

    @Deprecated
    protected JETEmitter testsManifestMFEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsPluginPropertiesEmitter

    @Deprecated
    protected JETEmitter testsPluginPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### testsBuildPropertiesEmitter

    @Deprecated
    protected JETEmitter testsBuildPropertiesEmitter

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### rootImplementsInterfaceGenClass

    protected GenClass rootImplementsInterfaceGenClass

### codeFormatterOptions

    @Deprecated
    protected java.util.Map codeFormatterOptions

  Deprecated. In EMF 2.2, the Generator-based design renders this field obsolete. It will be removed after 2.2.

### locale

    protected java.util.Locale locale

Constructor Detail

### GenModelImpl

    protected GenModelImpl()

Method Detail

### getGenModel

    public GenModel getGenModel()

  Specified by:
    `getGenModel` in interface `GenBase`
  Overrides:
    `getGenModel` in class `GenBaseImpl`

### findGenPackage

    public GenPackage findGenPackage(EPackage ePackage)

  Specified by:
    `findGenPackage` in interface `GenModel`
  Overrides:
    `findGenPackage` in class `GenBaseImpl`

### findGenClass

    protected GenClass findGenClass(EClass eClass)

  Overrides:
    `findGenClass` in class `GenBaseImpl`

### findGenEnum

    protected GenEnum findGenEnum(EEnum eEnum)

  Overrides:
    `findGenEnum` in class `GenBaseImpl`

### findGenDataType

    protected GenDataType findGenDataType(EDataType eDataType)

  Overrides:
    `findGenDataType` in class `GenBaseImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getCopyrightText

    public java.lang.String getCopyrightText()

  Specified by:
    `getCopyrightText` in interface `GenModel`
  Returns:
    the value of the 'Copyright Text' attribute.
  See Also:
    `GenModel.setCopyrightText(String)`, `GenModelPackage.getGenModel_CopyrightText()`

### setCopyrightText

    public void setCopyrightText(java.lang.String newCopyrightText)

  Specified by:
    `setCopyrightText` in interface `GenModel`
  Parameters:
    `newCopyrightText` - the new value of the 'Copyright Text' attribute.
  See Also:
    `GenModel.getCopyrightText()`

### getSourceFragmentPath

    protected java.lang.String getSourceFragmentPath()

### getModelDirectory

    public java.lang.String getModelDirectory()

  Specified by:
    `getModelDirectory` in interface `GenModel`
  Returns:
    the value of the 'Model Directory' attribute.
  See Also:
    `GenModel.setModelDirectory(String)`, `GenModelPackage.getGenModel_ModelDirectory()`

### getModelDirectoryGen

    public java.lang.String getModelDirectoryGen()

### setModelDirectory

    public void setModelDirectory(java.lang.String newModelDirectory)

  Specified by:
    `setModelDirectory` in interface `GenModel`
  Parameters:
    `newModelDirectory` - the new value of the 'Model Directory' attribute.
  See Also:
    `GenModel.getModelDirectory()`

### isCreationCommands

    public boolean isCreationCommands()

  Specified by:
    `isCreationCommands` in interface `GenModel`
  Returns:
    the value of the 'Creation Commands' attribute.
  See Also:
    `GenModel.setCreationCommands(boolean)`, `GenModelPackage.getGenModel_CreationCommands()`

### setCreationCommands

    public void setCreationCommands(boolean newCreationCommands)

  Specified by:
    `setCreationCommands` in interface `GenModel`
  Parameters:
    `newCreationCommands` - the new value of the 'Creation Commands' attribute.
  See Also:
    `GenModel.isCreationCommands()`

### isCreationIcons

    public boolean isCreationIcons()

  Specified by:
    `isCreationIcons` in interface `GenModel`
  Returns:
    the value of the 'Creation Icons' attribute.
  See Also:
    `GenModel.setCreationIcons(boolean)`, `GenModelPackage.getGenModel_CreationIcons()`

### setCreationIcons

    public void setCreationIcons(boolean newCreationIcons)

  Specified by:
    `setCreationIcons` in interface `GenModel`
  Parameters:
    `newCreationIcons` - the new value of the 'Creation Icons' attribute.
  See Also:
    `GenModel.isCreationIcons()`

### markImportLocation

    public void markImportLocation(java.lang.StringBuffer stringBuffer,
                                   GenPackage genPackage)

  Specified by:
    `markImportLocation` in interface `GenModel`

### markImportLocation

    public void markImportLocation(java.lang.StringBuffer stringBuffer)

  Specified by:
    `markImportLocation` in interface `GenModel`

### emitSortedImports

    public void emitSortedImports()

  Specified by:
    `emitSortedImports` in interface `GenModel`

### getImportedName

    public java.lang.String getImportedName(java.lang.String qualifiedName)

  Specified by:
    `getImportedName` in interface `GenModel`

### addImport

    public void addImport(java.lang.String qualifiedName)

  Specified by:
    `addImport` in interface `GenModel`

### addPseudoImport

    public void addPseudoImport(java.lang.String qualifiedName)

  Specified by:
    `addPseudoImport` in interface `GenModel`

### getImportManager

    public ImportManager getImportManager()

  Specified by:
    `getImportManager` in interface `GenModel`
  Overrides:
    `getImportManager` in class `GenBaseImpl`

### setImportManager

    public void setImportManager(ImportManager importManager)

  Specified by:
    `setImportManager` in interface `GenModel`
  Overrides:
    `setImportManager` in class `GenBaseImpl`

### getLineDelimiter

    public java.lang.String getLineDelimiter()

  Specified by:
    `getLineDelimiter` in interface `GenModel`

### setLineDelimiter

    public void setLineDelimiter(java.lang.String lineDelimiter)

  Specified by:
    `setLineDelimiter` in interface `GenModel`

### getDriverNumber

    public java.lang.String getDriverNumber()

  Specified by:
    `getDriverNumber` in interface `GenModel`

### getDate

    public java.lang.String getDate()

  Specified by:
    `getDate` in interface `GenModel`

### getNonNLS

    public java.lang.String getNonNLS()

  Specified by:
    `getNonNLS` in interface `GenModel`

### getNonNLS

    public java.lang.String getNonNLS(int i)

  Specified by:
    `getNonNLS` in interface `GenModel`

### getNonNLS

    public java.lang.String getNonNLS(java.lang.String s)

  Specified by:
    `getNonNLS` in interface `GenModel`

### getNonNLS

    public java.lang.String getNonNLS(java.lang.String s,
                                      int i)

  Specified by:
    `getNonNLS` in interface `GenModel`

### initialize

    public void initialize(java.util.Collection<? extends EPackage> ePackages)

  Specified by:
    `initialize` in interface `GenModel`

### getTemplatePath

    @Deprecated
    protected java.lang.String[] getTemplatePath()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.

### getMergeRulesLocation

    @Deprecated
    public java.lang.String getMergeRulesLocation()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator.Options` provides an equivalent way to obtain this information. This method will be removed after 2.2.

  Specified by:
    `getMergeRulesLocation` in interface `GenModel`

### getJControlModel

    @Deprecated
    public JControlModel getJControlModel()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `Generator` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getJControlModel` in interface `GenModel`

### setMethod

    @Deprecated
    public void setMethod(JETEmitter jetEmitter,
                                     java.lang.String className)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### createJETEmitter

    @Deprecated
    protected JETEmitter createJETEmitter(java.lang.String relativeTemplateURI)

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### addClasspathEntries

    @Deprecated
    protected void addClasspathEntries(JETEmitter jetEmitter)
                                throws JETException

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Throws:
    `JETException`

### getClassEmitter

    @Deprecated
    public JETEmitter getClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getClassEmitter` in interface `GenModel`

### getEnumClassEmitter

    @Deprecated
    public JETEmitter getEnumClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEnumClassEmitter` in interface `GenModel`

### getFactoryClassEmitter

    @Deprecated
    public JETEmitter getFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getFactoryClassEmitter` in interface `GenModel`

### getPackageClassEmitter

    @Deprecated
    public JETEmitter getPackageClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getPackageClassEmitter` in interface `GenModel`

### getAdapterFactoryClassEmitter

    @Deprecated
    public JETEmitter getAdapterFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getAdapterFactoryClassEmitter` in interface `GenModel`

### getSwitchClassEmitter

    @Deprecated
    public JETEmitter getSwitchClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getSwitchClassEmitter` in interface `GenModel`

### getValidatorClassEmitter

    @Deprecated
    public JETEmitter getValidatorClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getValidatorClassEmitter` in interface `GenModel`

### getXMLProcessorClassEmitter

    @Deprecated
    public JETEmitter getXMLProcessorClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getXMLProcessorClassEmitter` in interface `GenModel`

### getPluginXMLEmitter

    @Deprecated
    public JETEmitter getPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getPluginXMLEmitter` in interface `GenModel`

### getManifestMFEmitter

    @Deprecated
    public JETEmitter getManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getManifestMFEmitter` in interface `GenModel`

### getPluginPropertiesEmitter

    @Deprecated
    public JETEmitter getPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getBuildPropertiesEmitter

    @Deprecated
    public JETEmitter getBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getBuildPropertiesEmitter` in interface `GenModel`

### getModelPluginClassEmitter

    @Deprecated
    public JETEmitter getModelPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getModelPluginClassEmitter` in interface `GenModel`

### getResourceClassEmitter

    @Deprecated
    public JETEmitter getResourceClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getResourceClassEmitter` in interface `GenModel`

### getResourceFactoryClassEmitter

    @Deprecated
    public JETEmitter getResourceFactoryClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getResourceFactoryClassEmitter` in interface `GenModel`

### hasModelSupport

    protected boolean hasModelSupport()

### canGenerate

    public boolean canGenerate()

  Specified by:
    `canGenerate` in interface `GenBase`
  Overrides:
    `canGenerate` in class `GenBaseImpl`

### setCanGenerate

    public void setCanGenerate(boolean canGenerate)

  Specified by:
    `setCanGenerate` in interface `GenModel`

### validate

    public IStatus validate()

  Specified by:
    `validate` in interface `GenModel`

### isValidateModel

    public boolean isValidateModel()

  Specified by:
    `isValidateModel` in interface `GenModel`

### setValidateModel

    public void setValidateModel(boolean validateModel)

  Specified by:
    `setValidateModel` in interface `GenModel`

### diagnose

    public Diagnostic diagnose()

  Specified by:
    `diagnose` in interface `GenModel`

### getExtendedMetaData

    public ExtendedMetaData getExtendedMetaData()

  Specified by:
    `getExtendedMetaData` in interface `GenModel`
  Overrides:
    `getExtendedMetaData` in class `GenBaseImpl`

### populateExtendedMetaData

    protected void populateExtendedMetaData(java.util.List<GenPackage> genPackages)

### hasPluginSupport

    public boolean hasPluginSupport()

  Specified by:
    `hasPluginSupport` in interface `GenModel`

### generate

    @Deprecated
    public void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`
  Overrides:
    `generate` in class `GenBaseImpl`

### hasEditSupport

    public boolean hasEditSupport()

  Specified by:
    `hasEditSupport` in interface `GenModel`

### canGenerateEdit

    public boolean canGenerateEdit()

  Specified by:
    `canGenerateEdit` in interface `GenBase`
  Overrides:
    `canGenerateEdit` in class `GenBaseImpl`

### generateEdit

    @Deprecated
    public void generateEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEdit` in interface `GenBase`
  Overrides:
    `generateEdit` in class `GenBaseImpl`

### hasEditorSupport

    public boolean hasEditorSupport()

  Specified by:
    `hasEditorSupport` in interface `GenModel`

### canGenerateEditor

    public boolean canGenerateEditor()

  Specified by:
    `canGenerateEditor` in interface `GenBase`
  Overrides:
    `canGenerateEditor` in class `GenBaseImpl`

### generateEditor

    @Deprecated
    public void generateEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEditor` in interface `GenBase`
  Overrides:
    `generateEditor` in class `GenBaseImpl`

### canGenerateSchema

    @Deprecated
    public boolean canGenerateSchema()

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `canGenerateSchema` in interface `GenBase`
  Overrides:
    `canGenerateSchema` in class `GenBaseImpl`

### generateSchema

    @Deprecated
    public void generateSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateSchema` in interface `GenBase`
  Overrides:
    `generateSchema` in class `GenBaseImpl`

### hasTestSupport

    public boolean hasTestSupport()

  Specified by:
    `hasTestSupport` in interface `GenModel`

### canGenerateTests

    public boolean canGenerateTests()

  Specified by:
    `canGenerateTests` in interface `GenBase`
  Overrides:
    `canGenerateTests` in class `GenBaseImpl`

### generateTests

    @Deprecated
    public void generateTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateTests` in interface `GenBase`
  Overrides:
    `generateTests` in class `GenBaseImpl`

### getItemProviderEmitter

    @Deprecated
    public JETEmitter getItemProviderEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getItemProviderEmitter` in interface `GenModel`

### getItemProviderAdapterFactoryEmitter

    @Deprecated
    public JETEmitter getItemProviderAdapterFactoryEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getItemProviderAdapterFactoryEmitter` in interface `GenModel`

### getEditPluginClassEmitter

    @Deprecated
    public JETEmitter getEditPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditPluginClassEmitter` in interface `GenModel`

### getEditPluginXMLEmitter

    @Deprecated
    public JETEmitter getEditPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditPluginXMLEmitter` in interface `GenModel`

### getEditManifestMFEmitter

    @Deprecated
    public JETEmitter getEditManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditManifestMFEmitter` in interface `GenModel`

### getEditPluginPropertiesEmitter

    @Deprecated
    public JETEmitter getEditPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditPluginPropertiesEmitter` in interface `GenModel`

### getEditBuildPropertiesEmitter

    @Deprecated
    public JETEmitter getEditBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditBuildPropertiesEmitter` in interface `GenModel`

### getItemGIFEmitter

    @Deprecated
    public GenBaseImpl.GIFEmitter getItemGIFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getCreateChildGIFEmitter

    @Deprecated
    public GenBaseImpl.GIFEmitter getCreateChildGIFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelGIFEmitter

    @Deprecated
    public GenBaseImpl.GIFEmitter getModelGIFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getModelWizardGIFEmitter

    @Deprecated
    public GenBaseImpl.GIFEmitter getModelWizardGIFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

### getEditorEmitter

    @Deprecated
    public JETEmitter getEditorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorEmitter` in interface `GenModel`

### getActionBarContributorEmitter

    @Deprecated
    public JETEmitter getActionBarContributorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getActionBarContributorEmitter` in interface `GenModel`

### getModelWizardEmitter

    @Deprecated
    public JETEmitter getModelWizardEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getModelWizardEmitter` in interface `GenModel`

### getEditorAdvisorEmitter

    @Deprecated
    public JETEmitter getEditorAdvisorEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorAdvisorEmitter` in interface `GenModel`

### getEditorPluginClassEmitter

    @Deprecated
    public JETEmitter getEditorPluginClassEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorPluginClassEmitter` in interface `GenModel`

### getEditorPluginXMLEmitter

    @Deprecated
    public JETEmitter getEditorPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorPluginXMLEmitter` in interface `GenModel`

### getEditorManifestMFEmitter

    @Deprecated
    public JETEmitter getEditorManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorManifestMFEmitter` in interface `GenModel`

### getEditorPluginPropertiesEmitter

    @Deprecated
    public JETEmitter getEditorPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorPluginPropertiesEmitter` in interface `GenModel`

### getEditorBuildPropertiesEmitter

    @Deprecated
    public JETEmitter getEditorBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getEditorBuildPropertiesEmitter` in interface `GenModel`

### getTestCaseEmitter

    @Deprecated
    public JETEmitter getTestCaseEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getTestCaseEmitter` in interface `GenModel`

### getModelTestSuiteEmitter

    @Deprecated
    public JETEmitter getModelTestSuiteEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getModelTestSuiteEmitter` in interface `GenModel`

### getPackageTestSuiteEmitter

    @Deprecated
    public JETEmitter getPackageTestSuiteEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getPackageTestSuiteEmitter` in interface `GenModel`

### getPackageExampleEmitter

    @Deprecated
    public JETEmitter getPackageExampleEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getPackageExampleEmitter` in interface `GenModel`

### getTestsPluginXMLEmitter

    @Deprecated
    public JETEmitter getTestsPluginXMLEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getTestsPluginXMLEmitter` in interface `GenModel`

### getTestsManifestMFEmitter

    @Deprecated
    public JETEmitter getTestsManifestMFEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getTestsManifestMFEmitter` in interface `GenModel`

### getTestsPluginPropertiesEmitter

    @Deprecated
    public JETEmitter getTestsPluginPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getTestsPluginPropertiesEmitter` in interface `GenModel`

### getTestsBuildPropertiesEmitter

    @Deprecated
    public JETEmitter getTestsBuildPropertiesEmitter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Specified by:
    `getTestsBuildPropertiesEmitter` in interface `GenModel`

### getPluginDirectory

    protected java.lang.String getPluginDirectory(boolean isSet,
                                                  java.lang.String baseDirectory,
                                                  java.lang.String suffix)

### getEditDirectory

    public java.lang.String getEditDirectory()

  Description copied from interface: `GenModel`
  Returns the value of the 'Edit Directory' attribute.

  When unset, this attribute takes a default value based on the `model directory`.

  Specified by:
    `getEditDirectory` in interface `GenModel`
  Returns:
    the value of the 'Edit Directory' attribute.
  See Also:
    `GenModel.isSetEditDirectory()`, `GenModel.unsetEditDirectory()`, `GenModel.setEditDirectory(String)`, `GenModelPackage.getGenModel_EditDirectory()`

### getEditDirectoryGen

    public java.lang.String getEditDirectoryGen()

### setEditDirectory

    public void setEditDirectory(java.lang.String newEditDirectory)

  Specified by:
    `setEditDirectory` in interface `GenModel`
  Parameters:
    `newEditDirectory` - the new value of the 'Edit Directory' attribute.
  See Also:
    `GenModel.isSetEditDirectory()`, `GenModel.unsetEditDirectory()`, `GenModel.getEditDirectory()`

### unsetEditDirectory

    public void unsetEditDirectory()

  Specified by:
    `unsetEditDirectory` in interface `GenModel`
  See Also:
    `GenModel.isSetEditDirectory()`, `GenModel.getEditDirectory()`, `GenModel.setEditDirectory(String)`

### isSetEditDirectory

    public boolean isSetEditDirectory()

  Specified by:
    `isSetEditDirectory` in interface `GenModel`
  Returns:
    whether the value of the 'Edit Directory' attribute is set.
  See Also:
    `GenModel.unsetEditDirectory()`, `GenModel.getEditDirectory()`, `GenModel.setEditDirectory(String)`

### isCreationSubmenus

    public boolean isCreationSubmenus()

  Specified by:
    `isCreationSubmenus` in interface `GenModel`
  Returns:
    the value of the 'Creation Submenus' attribute.
  See Also:
    `GenModel.setCreationSubmenus(boolean)`, `GenModelPackage.getGenModel_CreationSubmenus()`

### setCreationSubmenus

    public void setCreationSubmenus(boolean newCreationSubmenus)

  Specified by:
    `setCreationSubmenus` in interface `GenModel`
  Parameters:
    `newCreationSubmenus` - the new value of the 'Creation Submenus' attribute.
  See Also:
    `GenModel.isCreationSubmenus()`

### getEditorDirectory

    public java.lang.String getEditorDirectory()

  Description copied from interface: `GenModel`
  Returns the value of the 'Editor Directory' attribute.

  When unset, this attribute takes a default value based on the `model directory`.

  Specified by:
    `getEditorDirectory` in interface `GenModel`
  Returns:
    the value of the 'Editor Directory' attribute.
  See Also:
    `GenModel.isSetEditorDirectory()`, `GenModel.unsetEditorDirectory()`, `GenModel.setEditorDirectory(String)`, `GenModelPackage.getGenModel_EditorDirectory()`

### getEditorDirectoryGen

    public java.lang.String getEditorDirectoryGen()

### setEditorDirectory

    public void setEditorDirectory(java.lang.String newEditorDirectory)

  Specified by:
    `setEditorDirectory` in interface `GenModel`
  Parameters:
    `newEditorDirectory` - the new value of the 'Editor Directory' attribute.
  See Also:
    `GenModel.isSetEditorDirectory()`, `GenModel.unsetEditorDirectory()`, `GenModel.getEditorDirectory()`

### unsetEditorDirectory

    public void unsetEditorDirectory()

  Specified by:
    `unsetEditorDirectory` in interface `GenModel`
  See Also:
    `GenModel.isSetEditorDirectory()`, `GenModel.getEditorDirectory()`, `GenModel.setEditorDirectory(String)`

### isSetEditorDirectory

    public boolean isSetEditorDirectory()

  Specified by:
    `isSetEditorDirectory` in interface `GenModel`
  Returns:
    whether the value of the 'Editor Directory' attribute is set.
  See Also:
    `GenModel.unsetEditorDirectory()`, `GenModel.getEditorDirectory()`, `GenModel.setEditorDirectory(String)`

### getModelPluginID

    public java.lang.String getModelPluginID()

  Specified by:
    `getModelPluginID` in interface `GenModel`
  Returns:
    the value of the 'Model Plugin ID' attribute.
  See Also:
    `GenModel.setModelPluginID(String)`, `GenModelPackage.getGenModel_ModelPluginID()`

### setModelPluginID

    public void setModelPluginID(java.lang.String newModelPluginID)

  Specified by:
    `setModelPluginID` in interface `GenModel`
  Parameters:
    `newModelPluginID` - the new value of the 'Model Plugin ID' attribute.
  See Also:
    `GenModel.getModelPluginID()`

### getTemplateDirectory

    public java.lang.String getTemplateDirectory()

  Specified by:
    `getTemplateDirectory` in interface `GenModel`
  Returns:
    the value of the 'Template Directory' attribute.
  See Also:
    `GenModel.setTemplateDirectory(String)`, `GenModelPackage.getGenModel_TemplateDirectory()`

### setTemplateDirectory

    public void setTemplateDirectory(java.lang.String newTemplateDirectory)

  Specified by:
    `setTemplateDirectory` in interface `GenModel`
  Parameters:
    `newTemplateDirectory` - the new value of the 'Template Directory' attribute.
  See Also:
    `GenModel.getTemplateDirectory()`

### isRuntimeJar

    public boolean isRuntimeJar()

  Specified by:
    `isRuntimeJar` in interface `GenModel`
  Returns:
    the value of the 'Runtime Jar' attribute.
  See Also:
    `GenModel.setRuntimeJar(boolean)`, `GenModelPackage.getGenModel_RuntimeJar()`

### setRuntimeJar

    public void setRuntimeJar(boolean newRuntimeJar)

  Specified by:
    `setRuntimeJar` in interface `GenModel`
  Parameters:
    `newRuntimeJar` - the new value of the 'Runtime Jar' attribute.
  See Also:
    `GenModel.isRuntimeJar()`

### getForeignModel

    public EList<java.lang.String> getForeignModel()

  Specified by:
    `getForeignModel` in interface `GenModel`
  Returns:
    the value of the 'Foreign Model' attribute list.
  See Also:
    `GenModelPackage.getGenModel_ForeignModel()`

### isDynamicTemplates

    public boolean isDynamicTemplates()

  Specified by:
    `isDynamicTemplates` in interface `GenModel`
  Returns:
    the value of the 'Dynamic Templates' attribute.
  See Also:
    `GenModel.setDynamicTemplates(boolean)`, `GenModelPackage.getGenModel_DynamicTemplates()`

### setDynamicTemplates

    public void setDynamicTemplates(boolean newDynamicTemplates)

  Specified by:
    `setDynamicTemplates` in interface `GenModel`
  Parameters:
    `newDynamicTemplates` - the new value of the 'Dynamic Templates' attribute.
  See Also:
    `GenModel.isDynamicTemplates()`

### getRedirection

    public java.lang.String getRedirection()

  Specified by:
    `getRedirection` in interface `GenModel`
  Returns:
    the value of the 'Redirection' attribute.
  See Also:
    `GenModel.setRedirection(String)`, `GenModelPackage.getGenModel_Redirection()`

### setRedirection

    public void setRedirection(java.lang.String newRedirection)

  Specified by:
    `setRedirection` in interface `GenModel`
  Parameters:
    `newRedirection` - the new value of the 'Redirection' attribute.
  See Also:
    `GenModel.getRedirection()`

### isForceOverwrite

    public boolean isForceOverwrite()

  Specified by:
    `isForceOverwrite` in interface `GenModel`
  Returns:
    the value of the 'Force Overwrite' attribute.
  See Also:
    `GenModel.setForceOverwrite(boolean)`, `GenModelPackage.getGenModel_ForceOverwrite()`

### setForceOverwrite

    public void setForceOverwrite(boolean newForceOverwrite)

  Specified by:
    `setForceOverwrite` in interface `GenModel`
  Parameters:
    `newForceOverwrite` - the new value of the 'Force Overwrite' attribute.
  See Also:
    `GenModel.isForceOverwrite()`

### getNonExternalizedStringTag

    public java.lang.String getNonExternalizedStringTag()

  Specified by:
    `getNonExternalizedStringTag` in interface `GenModel`
  Returns:
    the value of the 'Non Externalized String Tag' attribute.
  See Also:
    `GenModel.setNonExternalizedStringTag(String)`, `GenModelPackage.getGenModel_NonExternalizedStringTag()`

### setNonExternalizedStringTagGen

    public void setNonExternalizedStringTagGen(java.lang.String newNonExternalizedStringTag)

### setNonExternalizedStringTag

    public void setNonExternalizedStringTag(java.lang.String newNonExternalizedStringTag)

  Description copied from interface: `GenModel`
  Sets the value of the '`Non Externalized String Tag`' attribute.

  This attribute has been replaced by `nonNLSMarkers`. To automate the transition, this sets the attribute `null`, and calls `setNonNLSMarkers(value != null)`.

  Specified by:
    `setNonExternalizedStringTag` in interface `GenModel`
  Parameters:
    `newNonExternalizedStringTag` - the new value of the 'Non Externalized String Tag' attribute.
  See Also:
    `GenModel.getNonExternalizedStringTag()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `GenBaseImpl`

### getModelName

    public java.lang.String getModelName()

  Specified by:
    `getModelName` in interface `GenModel`
  Returns:
    the value of the 'Model Name' attribute.
  See Also:
    `GenModel.setModelName(String)`, `GenModelPackage.getGenModel_ModelName()`

### setModelName

    public void setModelName(java.lang.String newModelName)

  Specified by:
    `setModelName` in interface `GenModel`
  Parameters:
    `newModelName` - the new value of the 'Model Name' attribute.
  See Also:
    `GenModel.getModelName()`

### getModelPluginClass

    public java.lang.String getModelPluginClass()

  Specified by:
    `getModelPluginClass` in interface `GenModel`
  Returns:
    the value of the 'Model Plugin Class' attribute.
  See Also:
    `GenModel.setModelPluginClass(String)`, `GenModelPackage.getGenModel_ModelPluginClass()`

### getPluginClass

    protected java.lang.String getPluginClass(boolean isSet,
                                              java.lang.String baseName,
                                              java.lang.String packageSuffix,
                                              java.lang.String classSuffix)

### setModelPluginClass

    public void setModelPluginClass(java.lang.String newModelPluginClass)

  Specified by:
    `setModelPluginClass` in interface `GenModel`
  Parameters:
    `newModelPluginClass` - the new value of the 'Model Plugin Class' attribute.
  See Also:
    `GenModel.getModelPluginClass()`

### getEditPluginClass

    public java.lang.String getEditPluginClass()

  Description copied from interface: `GenModel`
  Returns the value of the 'Edit Plugin Class' attribute.

  When unset, this attribute takes a default value based on the `model name`, and the first of the `generated packages`.

  Specified by:
    `getEditPluginClass` in interface `GenModel`
  Returns:
    the value of the 'Edit Plugin Class' attribute.
  See Also:
    `GenModel.isSetEditPluginClass()`, `GenModel.unsetEditPluginClass()`, `GenModel.setEditPluginClass(String)`, `GenModelPackage.getGenModel_EditPluginClass()`

### getEditPluginClassGen

    public java.lang.String getEditPluginClassGen()

### getModelProject

    protected java.lang.String getModelProject()

### getMainPackage

    protected java.lang.String getMainPackage()

### getMainGenPackage

    protected GenPackage getMainGenPackage()

### setEditPluginClass

    public void setEditPluginClass(java.lang.String newEditPluginClass)

  Specified by:
    `setEditPluginClass` in interface `GenModel`
  Parameters:
    `newEditPluginClass` - the new value of the 'Edit Plugin Class' attribute.
  See Also:
    `GenModel.isSetEditPluginClass()`, `GenModel.unsetEditPluginClass()`, `GenModel.getEditPluginClass()`

### unsetEditPluginClass

    public void unsetEditPluginClass()

  Specified by:
    `unsetEditPluginClass` in interface `GenModel`
  See Also:
    `GenModel.isSetEditPluginClass()`, `GenModel.getEditPluginClass()`, `GenModel.setEditPluginClass(String)`

### isSetEditPluginClass

    public boolean isSetEditPluginClass()

  Specified by:
    `isSetEditPluginClass` in interface `GenModel`
  Returns:
    whether the value of the 'Edit Plugin Class' attribute is set.
  See Also:
    `GenModel.unsetEditPluginClass()`, `GenModel.getEditPluginClass()`, `GenModel.setEditPluginClass(String)`

### getEditorPluginClass

    public java.lang.String getEditorPluginClass()

  Description copied from interface: `GenModel`
  Returns the value of the 'Editor Plugin Class' attribute.

  When unset, this attribute takes a default value based on `model name`, and the first of the `generated packages`.

  Specified by:
    `getEditorPluginClass` in interface `GenModel`
  Returns:
    the value of the 'Editor Plugin Class' attribute.
  See Also:
    `GenModel.isSetEditorPluginClass()`, `GenModel.unsetEditorPluginClass()`, `GenModel.setEditorPluginClass(String)`, `GenModelPackage.getGenModel_EditorPluginClass()`

### getEditorPluginClassGen

    public java.lang.String getEditorPluginClassGen()

### setEditorPluginClass

    public void setEditorPluginClass(java.lang.String newEditorPluginClass)

  Specified by:
    `setEditorPluginClass` in interface `GenModel`
  Parameters:
    `newEditorPluginClass` - the new value of the 'Editor Plugin Class' attribute.
  See Also:
    `GenModel.isSetEditorPluginClass()`, `GenModel.unsetEditorPluginClass()`, `GenModel.getEditorPluginClass()`

### unsetEditorPluginClass

    public void unsetEditorPluginClass()

  Specified by:
    `unsetEditorPluginClass` in interface `GenModel`
  See Also:
    `GenModel.isSetEditorPluginClass()`, `GenModel.getEditorPluginClass()`, `GenModel.setEditorPluginClass(String)`

### isSetEditorPluginClass

    public boolean isSetEditorPluginClass()

  Specified by:
    `isSetEditorPluginClass` in interface `GenModel`
  Returns:
    whether the value of the 'Editor Plugin Class' attribute is set.
  See Also:
    `GenModel.unsetEditorPluginClass()`, `GenModel.getEditorPluginClass()`, `GenModel.setEditorPluginClass(String)`

### isUpdateClasspath

    public boolean isUpdateClasspath()

  Specified by:
    `isUpdateClasspath` in interface `GenModel`
  Returns:
    the value of the 'Update Classpath' attribute.
  See Also:
    `GenModel.setUpdateClasspath(boolean)`, `GenModelPackage.getGenModel_UpdateClasspath()`

### setUpdateClasspath

    public void setUpdateClasspath(boolean newUpdateClasspath)

  Specified by:
    `setUpdateClasspath` in interface `GenModel`
  Parameters:
    `newUpdateClasspath` - the new value of the 'Update Classpath' attribute.
  See Also:
    `GenModel.isUpdateClasspath()`

### isGenerateSchema

    public boolean isGenerateSchema()

  Specified by:
    `isGenerateSchema` in interface `GenModel`
  Returns:
    the value of the 'Generate Schema' attribute.
  See Also:
    `GenModel.setGenerateSchema(boolean)`, `GenModelPackage.getGenModel_GenerateSchema()`

### setGenerateSchema

    public void setGenerateSchema(boolean newGenerateSchema)

  Specified by:
    `setGenerateSchema` in interface `GenModel`
  Parameters:
    `newGenerateSchema` - the new value of the 'Generate Schema' attribute.
  See Also:
    `GenModel.isGenerateSchema()`

### isNonNLSMarkers

    public boolean isNonNLSMarkers()

  Specified by:
    `isNonNLSMarkers` in interface `GenModel`
  Returns:
    the value of the 'Non NLS Markers' attribute.
  See Also:
    `GenModel.setNonNLSMarkers(boolean)`, `GenModelPackage.getGenModel_NonNLSMarkers()`

### setNonNLSMarkersGen

    public void setNonNLSMarkersGen(boolean newNonNLSMarkers)

### setNonNLSMarkers

    public void setNonNLSMarkers(boolean newNonNLSMarkers)

  Description copied from interface: `GenModel`
  Sets the value of the '`Non NLS Markers`' attribute.

  As a side effect, this method sets `nonExternalizedStringTag` to `null`.

  Specified by:
    `setNonNLSMarkers` in interface `GenModel`
  Parameters:
    `newNonNLSMarkers` - the new value of the 'Non NLS Markers' attribute.
  See Also:
    `GenModel.isNonNLSMarkers()`

### getStaticPackages

    public EList<java.lang.String> getStaticPackages()

  Specified by:
    `getStaticPackages` in interface `GenModel`
  Returns:
    the value of the 'Static Packages' attribute list.
  See Also:
    `GenModelPackage.getGenModel_StaticPackages()`

### getModelPluginVariables

    public EList<java.lang.String> getModelPluginVariables()

  Specified by:
    `getModelPluginVariables` in interface `GenModel`
  Returns:
    the value of the 'Model Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_ModelPluginVariables()`

### getRootExtendsInterface

    public java.lang.String getRootExtendsInterface()

  Specified by:
    `getRootExtendsInterface` in interface `GenModel`
  Returns:
    the value of the 'Root Extends Interface' attribute.
  See Also:
    `GenModel.setRootExtendsInterface(String)`, `GenModelPackage.getGenModel_RootExtendsInterface()`

### setRootExtendsInterface

    public void setRootExtendsInterface(java.lang.String newRootExtendsInterface)

  Specified by:
    `setRootExtendsInterface` in interface `GenModel`
  Parameters:
    `newRootExtendsInterface` - the new value of the 'Root Extends Interface' attribute.
  See Also:
    `GenModel.getRootExtendsInterface()`

### getRootExtendsClass

    public java.lang.String getRootExtendsClass()

  Specified by:
    `getRootExtendsClass` in interface `GenModel`
  Returns:
    the value of the 'Root Extends Class' attribute.
  See Also:
    `GenModel.setRootExtendsClass(String)`, `GenModelPackage.getGenModel_RootExtendsClass()`

### setRootExtendsClass

    public void setRootExtendsClass(java.lang.String newRootExtendsClass)

  Specified by:
    `setRootExtendsClass` in interface `GenModel`
  Parameters:
    `newRootExtendsClass` - the new value of the 'Root Extends Class' attribute.
  See Also:
    `GenModel.getRootExtendsClass()`

### getRootImplementsInterface

    public java.lang.String getRootImplementsInterface()

  Specified by:
    `getRootImplementsInterface` in interface `GenModel`
  Returns:
    the value of the 'Root Implements Interface' attribute.
  See Also:
    `GenModel.setRootImplementsInterface(String)`, `GenModelPackage.getGenModel_RootImplementsInterface()`

### getRootImplementsInterfaceGenClass

    public GenClass getRootImplementsInterfaceGenClass()

  Specified by:
    `getRootImplementsInterfaceGenClass` in interface `GenModel`

### setRootImplementsInterfaceGen

    public void setRootImplementsInterfaceGen(java.lang.String newRootImplementsInterface)

### setRootImplementsInterface

    public void setRootImplementsInterface(java.lang.String newRootImplementsInterface)

  Description copied from interface: `GenModel`
  Sets the value of the '`Root Implements Interface`' attribute.

  Specified by:
    `setRootImplementsInterface` in interface `GenModel`
  Parameters:
    `newRootImplementsInterface` - the new value of the 'Root Implements Interface' attribute.
  See Also:
    `GenModel.getRootImplementsInterface()`

### getEffectiveModelPluginVariables

    public java.util.List<java.lang.String> getEffectiveModelPluginVariables()

  Specified by:
    `getEffectiveModelPluginVariables` in interface `GenModel`

### getEffectivePluginIDs

    protected static java.util.List<java.lang.String> getEffectivePluginIDs(java.util.List<java.lang.String> pluginVariables)

### getEffectiveModelPluginIDs

    public java.util.List<java.lang.String> getEffectiveModelPluginIDs()

### getEffectiveEditPluginIDs

    public java.util.List<java.lang.String> getEffectiveEditPluginIDs()

### getEffectiveEditorPluginIDs

    public java.util.List<java.lang.String> getEffectiveEditorPluginIDs()

### getEffectiveTestsPluginIDs

    public java.util.List<java.lang.String> getEffectiveTestsPluginIDs()

### isSuppressEMFTypes

    public boolean isSuppressEMFTypes()

  Specified by:
    `isSuppressEMFTypes` in interface `GenModel`
  Returns:
    the value of the 'Suppress EMF Types' attribute.
  See Also:
    `GenModel.setSuppressEMFTypes(boolean)`, `GenModelPackage.getGenModel_SuppressEMFTypes()`

### setSuppressEMFTypes

    public void setSuppressEMFTypes(boolean newSuppressEMFTypes)

  Specified by:
    `setSuppressEMFTypes` in interface `GenModel`
  Parameters:
    `newSuppressEMFTypes` - the new value of the 'Suppress EMF Types' attribute.
  See Also:
    `GenModel.isSuppressEMFTypes()`

### isSuppressEMFMetaData

    public boolean isSuppressEMFMetaData()

  Specified by:
    `isSuppressEMFMetaData` in interface `GenModel`
  Returns:
    the value of the 'Suppress EMF Meta Data' attribute.
  See Also:
    `GenModel.setSuppressEMFMetaData(boolean)`, `GenModelPackage.getGenModel_SuppressEMFMetaData()`

### setSuppressEMFMetaData

    public void setSuppressEMFMetaData(boolean newSuppressEMFMetaData)

  Specified by:
    `setSuppressEMFMetaData` in interface `GenModel`
  Parameters:
    `newSuppressEMFMetaData` - the new value of the 'Suppress EMF Meta Data' attribute.
  See Also:
    `GenModel.isSuppressEMFMetaData()`

### isSuppressEMFModelTags

    public boolean isSuppressEMFModelTags()

  Specified by:
    `isSuppressEMFModelTags` in interface `GenModel`
  Returns:
    the value of the 'Suppress EMF Model Tags' attribute.
  See Also:
    `GenModel.setSuppressEMFModelTags(boolean)`, `GenModelPackage.getGenModel_SuppressEMFModelTags()`

### setSuppressEMFModelTags

    public void setSuppressEMFModelTags(boolean newSuppressEMFModelTags)

  Specified by:
    `setSuppressEMFModelTags` in interface `GenModel`
  Parameters:
    `newSuppressEMFModelTags` - the new value of the 'Suppress EMF Model Tags' attribute.
  See Also:
    `GenModel.isSuppressEMFModelTags()`

### isSuppressInterfaces

    public boolean isSuppressInterfaces()

  Specified by:
    `isSuppressInterfaces` in interface `GenModel`
  Returns:
    the value of the 'Suppress Interfaces' attribute.
  See Also:
    `GenModel.setSuppressInterfaces(boolean)`, `GenModelPackage.getGenModel_SuppressInterfaces()`

### setSuppressInterfaces

    public void setSuppressInterfaces(boolean newSuppressInterfaces)

  Specified by:
    `setSuppressInterfaces` in interface `GenModel`
  Parameters:
    `newSuppressInterfaces` - the new value of the 'Suppress Interfaces' attribute.
  See Also:
    `GenModel.isSuppressInterfaces()`

### getFeatureMapWrapperInterface

    public java.lang.String getFeatureMapWrapperInterface()

  Specified by:
    `getFeatureMapWrapperInterface` in interface `GenModel`
  Returns:
    the value of the 'Feature Map Wrapper Interface' attribute.
  See Also:
    `GenModel.setFeatureMapWrapperInterface(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperInterface()`

### setFeatureMapWrapperInterface

    public void setFeatureMapWrapperInterface(java.lang.String newFeatureMapWrapperInterface)

  Specified by:
    `setFeatureMapWrapperInterface` in interface `GenModel`
  Parameters:
    `newFeatureMapWrapperInterface` - the new value of the 'Feature Map Wrapper Interface' attribute.
  See Also:
    `GenModel.getFeatureMapWrapperInterface()`

### getFeatureMapWrapperInternalInterface

    public java.lang.String getFeatureMapWrapperInternalInterface()

  Specified by:
    `getFeatureMapWrapperInternalInterface` in interface `GenModel`
  Returns:
    the value of the 'Feature Map Wrapper Internal Interface' attribute.
  See Also:
    `GenModel.setFeatureMapWrapperInternalInterface(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperInternalInterface()`

### setFeatureMapWrapperInternalInterface

    public void setFeatureMapWrapperInternalInterface(java.lang.String newFeatureMapWrapperInternalInterface)

  Specified by:
    `setFeatureMapWrapperInternalInterface` in interface `GenModel`
  Parameters:
    `newFeatureMapWrapperInternalInterface` - the new value of the 'Feature Map Wrapper Internal Interface' attribute.
  See Also:
    `GenModel.getFeatureMapWrapperInternalInterface()`

### getFeatureMapWrapperClass

    public java.lang.String getFeatureMapWrapperClass()

  Specified by:
    `getFeatureMapWrapperClass` in interface `GenModel`
  Returns:
    the value of the 'Feature Map Wrapper Class' attribute.
  See Also:
    `GenModel.setFeatureMapWrapperClass(String)`, `GenModelPackage.getGenModel_FeatureMapWrapperClass()`

### setFeatureMapWrapperClass

    public void setFeatureMapWrapperClass(java.lang.String newFeatureMapWrapperClass)

  Specified by:
    `setFeatureMapWrapperClass` in interface `GenModel`
  Parameters:
    `newFeatureMapWrapperClass` - the new value of the 'Feature Map Wrapper Class' attribute.
  See Also:
    `GenModel.getFeatureMapWrapperClass()`

### isRuntimeCompatibility

    public boolean isRuntimeCompatibility()

  Specified by:
    `isRuntimeCompatibility` in interface `GenModel`
  Returns:
    the value of the 'Runtime Compatibility' attribute.
  See Also:
    `GenModel.setRuntimeCompatibility(boolean)`, `GenModelPackage.getGenModel_RuntimeCompatibility()`

### needsRuntimeCompatibility

    public boolean needsRuntimeCompatibility()

  Specified by:
    `needsRuntimeCompatibility` in interface `GenModel`

### setRuntimeCompatibility

    public void setRuntimeCompatibility(boolean newRuntimeCompatibility)

  Specified by:
    `setRuntimeCompatibility` in interface `GenModel`
  Parameters:
    `newRuntimeCompatibility` - the new value of the 'Runtime Compatibility' attribute.
  See Also:
    `GenModel.isRuntimeCompatibility()`

### isRichClientPlatform

    public boolean isRichClientPlatform()

  Specified by:
    `isRichClientPlatform` in interface `GenModel`
  Returns:
    the value of the 'Rich Client Platform' attribute.
  See Also:
    `GenModel.setRichClientPlatform(boolean)`, `GenModelPackage.getGenModel_RichClientPlatform()`

### setRichClientPlatform

    public void setRichClientPlatform(boolean newRichClientPlatform)

  Specified by:
    `setRichClientPlatform` in interface `GenModel`
  Parameters:
    `newRichClientPlatform` - the new value of the 'Rich Client Platform' attribute.
  See Also:
    `GenModel.isRichClientPlatform()`

### isReflectiveDelegation

    public boolean isReflectiveDelegation()

  Specified by:
    `isReflectiveDelegation` in interface `GenModel`
  Returns:
    the value of the 'Reflective Delegation' attribute.
  See Also:
    `GenModel.setReflectiveDelegation(boolean)`, `GenModelPackage.getGenModel_ReflectiveDelegation()`

### setReflectiveDelegation

    public void setReflectiveDelegation(boolean newReflectiveDelegation)

  Specified by:
    `setReflectiveDelegation` in interface `GenModel`
  Parameters:
    `newReflectiveDelegation` - the new value of the 'Reflective Delegation' attribute.
  See Also:
    `GenModel.isReflectiveDelegation()`

### isCodeFormatting

    public boolean isCodeFormatting()

  Specified by:
    `isCodeFormatting` in interface `GenModel`
  Returns:
    the value of the 'Code Formatting' attribute.
  See Also:
    `GenModel.setCodeFormatting(boolean)`, `GenModelPackage.getGenModel_CodeFormatting()`

### setCodeFormatting

    public void setCodeFormatting(boolean newCodeFormatting)

  Specified by:
    `setCodeFormatting` in interface `GenModel`
  Parameters:
    `newCodeFormatting` - the new value of the 'Code Formatting' attribute.
  See Also:
    `GenModel.isCodeFormatting()`

### getTestsDirectory

    public java.lang.String getTestsDirectory()

  Description copied from interface: `GenModel`
  Returns the value of the 'Tests Directory' attribute.

  By default, this attribute is set to null. When unset, it takes a default value based on the `model directory`.

  Specified by:
    `getTestsDirectory` in interface `GenModel`
  Returns:
    the value of the 'Tests Directory' attribute.
  See Also:
    `GenModel.isSetTestsDirectory()`, `GenModel.unsetTestsDirectory()`, `GenModel.setTestsDirectory(String)`, `GenModelPackage.getGenModel_TestsDirectory()`

### getTestsDirectoryGen

    public java.lang.String getTestsDirectoryGen()

### setTestsDirectory

    public void setTestsDirectory(java.lang.String newTestsDirectory)

  Specified by:
    `setTestsDirectory` in interface `GenModel`
  Parameters:
    `newTestsDirectory` - the new value of the 'Tests Directory' attribute.
  See Also:
    `GenModel.isSetTestsDirectory()`, `GenModel.unsetTestsDirectory()`, `GenModel.getTestsDirectory()`

### unsetTestsDirectory

    public void unsetTestsDirectory()

  Specified by:
    `unsetTestsDirectory` in interface `GenModel`
  See Also:
    `GenModel.isSetTestsDirectory()`, `GenModel.getTestsDirectory()`, `GenModel.setTestsDirectory(String)`

### isSetTestsDirectory

    public boolean isSetTestsDirectory()

  Specified by:
    `isSetTestsDirectory` in interface `GenModel`
  Returns:
    whether the value of the 'Tests Directory' attribute is set.
  See Also:
    `GenModel.unsetTestsDirectory()`, `GenModel.getTestsDirectory()`, `GenModel.setTestsDirectory(String)`

### getTestSuiteClass

    public java.lang.String getTestSuiteClass()

  Description copied from interface: `GenModel`
  Returns the value of the 'Test Suite Class' attribute.

  When unset, this attribute takes a default value based on the `model name`, and the first of the `generated packages`.

  Specified by:
    `getTestSuiteClass` in interface `GenModel`
  Returns:
    the value of the 'Test Suite Class' attribute.
  See Also:
    `GenModel.isSetTestSuiteClass()`, `GenModel.unsetTestSuiteClass()`, `GenModel.setTestSuiteClass(String)`, `GenModelPackage.getGenModel_TestSuiteClass()`

### getTestSuiteClassGen

    public java.lang.String getTestSuiteClassGen()

### setTestSuiteClass

    public void setTestSuiteClass(java.lang.String newTestSuiteClass)

  Specified by:
    `setTestSuiteClass` in interface `GenModel`
  Parameters:
    `newTestSuiteClass` - the new value of the 'Test Suite Class' attribute.
  See Also:
    `GenModel.isSetTestSuiteClass()`, `GenModel.unsetTestSuiteClass()`, `GenModel.getTestSuiteClass()`

### unsetTestSuiteClass

    public void unsetTestSuiteClass()

  Specified by:
    `unsetTestSuiteClass` in interface `GenModel`
  See Also:
    `GenModel.isSetTestSuiteClass()`, `GenModel.getTestSuiteClass()`, `GenModel.setTestSuiteClass(String)`

### isSetTestSuiteClass

    public boolean isSetTestSuiteClass()

  Specified by:
    `isSetTestSuiteClass` in interface `GenModel`
  Returns:
    whether the value of the 'Test Suite Class' attribute is set.
  See Also:
    `GenModel.unsetTestSuiteClass()`, `GenModel.getTestSuiteClass()`, `GenModel.setTestSuiteClass(String)`

### getBooleanFlagsField

    public java.lang.String getBooleanFlagsField()

  Specified by:
    `getBooleanFlagsField` in interface `GenModel`
  Returns:
    the value of the 'Boolean Flags Field' attribute.
  See Also:
    `GenModel.setBooleanFlagsField(String)`, `GenModelPackage.getGenModel_BooleanFlagsField()`

### setBooleanFlagsField

    public void setBooleanFlagsField(java.lang.String newBooleanFlagsField)

  Specified by:
    `setBooleanFlagsField` in interface `GenModel`
  Parameters:
    `newBooleanFlagsField` - the new value of the 'Boolean Flags Field' attribute.
  See Also:
    `GenModel.getBooleanFlagsField()`

### getBooleanFlagsReservedBits

    public int getBooleanFlagsReservedBits()

  Specified by:
    `getBooleanFlagsReservedBits` in interface `GenModel`
  Returns:
    the value of the 'Boolean Flags Reserved Bits' attribute.
  See Also:
    `GenModel.setBooleanFlagsReservedBits(int)`, `GenModelPackage.getGenModel_BooleanFlagsReservedBits()`

### setBooleanFlagsReservedBits

    public void setBooleanFlagsReservedBits(int newBooleanFlagsReservedBits)

  Specified by:
    `setBooleanFlagsReservedBits` in interface `GenModel`
  Parameters:
    `newBooleanFlagsReservedBits` - the new value of the 'Boolean Flags Reserved Bits' attribute.
  See Also:
    `GenModel.getBooleanFlagsReservedBits()`

### getImporterID

    public java.lang.String getImporterID()

  Specified by:
    `getImporterID` in interface `GenModel`
  Returns:
    the value of the 'Importer ID' attribute.
  See Also:
    `GenModel.setImporterID(String)`, `GenModelPackage.getGenModel_ImporterID()`

### setImporterID

    public void setImporterID(java.lang.String newImporterID)

  Specified by:
    `setImporterID` in interface `GenModel`
  Parameters:
    `newImporterID` - the new value of the 'Importer ID' attribute.
  See Also:
    `GenModel.getImporterID()`

### isBundleManifest

    public boolean isBundleManifest()

  Specified by:
    `isBundleManifest` in interface `GenModel`
  Returns:
    the value of the 'Bundle Manifest' attribute.
  See Also:
    `GenModel.setBundleManifest(boolean)`, `GenModelPackage.getGenModel_BundleManifest()`

### setBundleManifest

    public void setBundleManifest(boolean newBundleManifest)

  Specified by:
    `setBundleManifest` in interface `GenModel`
  Parameters:
    `newBundleManifest` - the new value of the 'Bundle Manifest' attribute.
  See Also:
    `GenModel.isBundleManifest()`

### getFeatureDelegation

    public GenDelegationKind getFeatureDelegation()

  Specified by:
    `getFeatureDelegation` in interface `GenModel`
  Returns:
    the value of the 'Feature Delegation' attribute.
  See Also:
    `GenDelegationKind`, `GenModel.setFeatureDelegation(GenDelegationKind)`, `GenModelPackage.getGenModel_FeatureDelegation()`

### setFeatureDelegation

    public void setFeatureDelegation(GenDelegationKind newFeatureDelegation)

  Specified by:
    `setFeatureDelegation` in interface `GenModel`
  Parameters:
    `newFeatureDelegation` - the new value of the 'Feature Delegation' attribute.
  See Also:
    `GenDelegationKind`, `GenModel.getFeatureDelegation()`

### isContainmentProxies

    public boolean isContainmentProxies()

  Specified by:
    `isContainmentProxies` in interface `GenModel`
  Returns:
    the value of the 'Containment Proxies' attribute.
  See Also:
    `GenModel.setContainmentProxies(boolean)`, `GenModelPackage.getGenModel_ContainmentProxies()`

### setContainmentProxies

    public void setContainmentProxies(boolean newContainmentProxies)

  Specified by:
    `setContainmentProxies` in interface `GenModel`
  Parameters:
    `newContainmentProxies` - the new value of the 'Containment Proxies' attribute.
  See Also:
    `GenModel.isContainmentProxies()`

### isMinimalReflectiveMethods

    public boolean isMinimalReflectiveMethods()

  Specified by:
    `isMinimalReflectiveMethods` in interface `GenModel`
  Returns:
    the value of the 'Minimal Reflective Methods' attribute.
  See Also:
    `GenModel.setMinimalReflectiveMethods(boolean)`, `GenModelPackage.getGenModel_MinimalReflectiveMethods()`

### setMinimalReflectiveMethods

    public void setMinimalReflectiveMethods(boolean newMinimalReflectiveMethods)

  Specified by:
    `setMinimalReflectiveMethods` in interface `GenModel`
  Parameters:
    `newMinimalReflectiveMethods` - the new value of the 'Minimal Reflective Methods' attribute.
  See Also:
    `GenModel.isMinimalReflectiveMethods()`

### isSuppressContainment

    public boolean isSuppressContainment()

  Specified by:
    `isSuppressContainment` in interface `GenModel`
  Returns:
    the value of the 'Suppress Containment' attribute.
  See Also:
    `GenModel.setSuppressContainment(boolean)`, `GenModelPackage.getGenModel_SuppressContainment()`

### setSuppressContainment

    public void setSuppressContainment(boolean newSuppressContainment)

  Specified by:
    `setSuppressContainment` in interface `GenModel`
  Parameters:
    `newSuppressContainment` - the new value of the 'Suppress Containment' attribute.
  See Also:
    `GenModel.isSuppressContainment()`

### isSuppressNotification

    public boolean isSuppressNotification()

  Specified by:
    `isSuppressNotification` in interface `GenModel`
  Returns:
    the value of the 'Suppress Notification' attribute.
  See Also:
    `GenModel.setSuppressNotification(boolean)`, `GenModelPackage.getGenModel_SuppressNotification()`

### setSuppressNotification

    public void setSuppressNotification(boolean newSuppressNotification)

  Specified by:
    `setSuppressNotification` in interface `GenModel`
  Parameters:
    `newSuppressNotification` - the new value of the 'Suppress Notification' attribute.
  See Also:
    `GenModel.isSuppressNotification()`

### isArrayAccessors

    public boolean isArrayAccessors()

  Specified by:
    `isArrayAccessors` in interface `GenModel`
  Returns:
    the value of the 'Array Accessors' attribute.
  See Also:
    `GenModel.setArrayAccessors(boolean)`, `GenModelPackage.getGenModel_ArrayAccessors()`

### setArrayAccessors

    public void setArrayAccessors(boolean newArrayAccessors)

  Specified by:
    `setArrayAccessors` in interface `GenModel`
  Parameters:
    `newArrayAccessors` - the new value of the 'Array Accessors' attribute.
  See Also:
    `GenModel.isArrayAccessors()`

### isSuppressUnsettable

    public boolean isSuppressUnsettable()

  Specified by:
    `isSuppressUnsettable` in interface `GenModel`
  Returns:
    the value of the 'Suppress Unsettable' attribute.
  See Also:
    `GenModel.setSuppressUnsettable(boolean)`, `GenModelPackage.getGenModel_SuppressUnsettable()`

### setSuppressUnsettable

    public void setSuppressUnsettable(boolean newSuppressUnsettable)

  Specified by:
    `setSuppressUnsettable` in interface `GenModel`
  Parameters:
    `newSuppressUnsettable` - the new value of the 'Suppress Unsettable' attribute.
  See Also:
    `GenModel.isSuppressUnsettable()`

### getFacadeHelperClass

    public java.lang.String getFacadeHelperClass()

  Specified by:
    `getFacadeHelperClass` in interface `GenModel`
  Returns:
    the value of the 'Facade Helper Class' attribute.
  See Also:
    `GenModel.setFacadeHelperClass(String)`, `GenModelPackage.getGenModel_FacadeHelperClass()`

### setFacadeHelperClass

    public void setFacadeHelperClass(java.lang.String newFacadeHelperClass)

  Specified by:
    `setFacadeHelperClass` in interface `GenModel`
  Parameters:
    `newFacadeHelperClass` - the new value of the 'Facade Helper Class' attribute.
  See Also:
    `GenModel.getFacadeHelperClass()`

### getComplianceLevel

    public GenJDKLevel getComplianceLevel()

  Specified by:
    `getComplianceLevel` in interface `GenModel`
  Returns:
    the value of the 'Compliance Level' attribute.
  See Also:
    `GenJDKLevel`, `GenModel.setComplianceLevel(GenJDKLevel)`, `GenModelPackage.getGenModel_ComplianceLevel()`

### setComplianceLevel

    public void setComplianceLevel(GenJDKLevel newComplianceLevel)

  Specified by:
    `setComplianceLevel` in interface `GenModel`
  Parameters:
    `newComplianceLevel` - the new value of the 'Compliance Level' attribute.
  See Also:
    `GenJDKLevel`, `GenModel.getComplianceLevel()`

### isSuppressGenModelAnnotations

    public boolean isSuppressGenModelAnnotations()

  Specified by:
    `isSuppressGenModelAnnotations` in interface `GenModel`
  Returns:
    the value of the 'Suppress Gen Model Annotations' attribute.
  See Also:
    `GenModel.setSuppressGenModelAnnotations(boolean)`, `GenModelPackage.getGenModel_SuppressGenModelAnnotations()`

### setSuppressGenModelAnnotations

    public void setSuppressGenModelAnnotations(boolean newSuppressGenModelAnnotations)

  Specified by:
    `setSuppressGenModelAnnotations` in interface `GenModel`
  Parameters:
    `newSuppressGenModelAnnotations` - the new value of the 'Suppress Gen Model Annotations' attribute.
  See Also:
    `GenModel.isSuppressGenModelAnnotations()`

### isCopyrightFields

    public boolean isCopyrightFields()

  Specified by:
    `isCopyrightFields` in interface `GenModel`
  Returns:
    the value of the 'Copyright Fields' attribute.
  See Also:
    `GenModel.setCopyrightFields(boolean)`, `GenModelPackage.getGenModel_CopyrightFields()`

### setCopyrightFields

    public void setCopyrightFields(boolean newCopyrightFields)

  Specified by:
    `setCopyrightFields` in interface `GenModel`
  Parameters:
    `newCopyrightFields` - the new value of the 'Copyright Fields' attribute.
  See Also:
    `GenModel.isCopyrightFields()`

### isBinaryCompatibleReflectiveMethods

    public boolean isBinaryCompatibleReflectiveMethods()

  Specified by:
    `isBinaryCompatibleReflectiveMethods` in interface `GenModel`
  Returns:
    the value of the 'Binary Compatible Reflective Methods' attribute.
  See Also:
    `GenModel.setBinaryCompatibleReflectiveMethods(boolean)`, `GenModelPackage.getGenModel_BinaryCompatibleReflectiveMethods()`

### setBinaryCompatibleReflectiveMethods

    public void setBinaryCompatibleReflectiveMethods(boolean newBinaryCompatibleReflectiveMethods)

  Specified by:
    `setBinaryCompatibleReflectiveMethods` in interface `GenModel`
  Parameters:
    `newBinaryCompatibleReflectiveMethods` - the new value of the 'Binary Compatible Reflective Methods' attribute.
  See Also:
    `GenModel.isBinaryCompatibleReflectiveMethods()`

### isPublicConstructors

    public boolean isPublicConstructors()

  Specified by:
    `isPublicConstructors` in interface `GenModel`
  Returns:
    the value of the 'Public Constructors' attribute.
  See Also:
    `GenModel.setPublicConstructors(boolean)`, `GenModelPackage.getGenModel_PublicConstructors()`

### setPublicConstructors

    public void setPublicConstructors(boolean newPublicConstructors)

  Specified by:
    `setPublicConstructors` in interface `GenModel`
  Parameters:
    `newPublicConstructors` - the new value of the 'Public Constructors' attribute.
  See Also:
    `GenModel.isPublicConstructors()`

### getTemplatePluginVariables

    public EList<java.lang.String> getTemplatePluginVariables()

  Specified by:
    `getTemplatePluginVariables` in interface `GenModel`
  Returns:
    the value of the 'Template Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_TemplatePluginVariables()`

### getProviderRootExtendsClass

    public java.lang.String getProviderRootExtendsClass()

  Specified by:
    `getProviderRootExtendsClass` in interface `GenModel`
  Returns:
    the value of the 'Provider Root Extends Class' attribute.
  See Also:
    `GenModel.setProviderRootExtendsClass(String)`, `GenModelPackage.getGenModel_ProviderRootExtendsClass()`

### setProviderRootExtendsClass

    public void setProviderRootExtendsClass(java.lang.String newProviderRootExtendsClass)

  Specified by:
    `setProviderRootExtendsClass` in interface `GenModel`
  Parameters:
    `newProviderRootExtendsClass` - the new value of the 'Provider Root Extends Class' attribute.
  See Also:
    `GenModel.getProviderRootExtendsClass()`

### getGenPackages

    public EList<GenPackage> getGenPackages()

  Specified by:
    `getGenPackages` in interface `GenModel`
  Returns:
    the value of the 'Gen Packages' containment reference list.
  See Also:
    `GenModelPackage.getGenModel_GenPackages()`, `GenPackage.getGenModel()`

### getStaticGenPackages

    public EList<GenPackage> getStaticGenPackages()

  Specified by:
    `getStaticGenPackages` in interface `GenModel`

### getUsedGenPackages

    public EList<GenPackage> getUsedGenPackages()

  Specified by:
    `getUsedGenPackages` in interface `GenModel`
  Returns:
    the value of the 'Used Gen Packages' reference list.
  See Also:
    `GenModelPackage.getGenModel_UsedGenPackages()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getProjectPath

    protected static java.lang.String getProjectPath(java.lang.String path)

### getModelProjectDirectory

    public java.lang.String getModelProjectDirectory()

  Specified by:
    `getModelProjectDirectory` in interface `GenModel`

### getEditProjectDirectory

    public java.lang.String getEditProjectDirectory()

  Specified by:
    `getEditProjectDirectory` in interface `GenModel`

### getEditorProjectDirectory

    public java.lang.String getEditorProjectDirectory()

  Specified by:
    `getEditorProjectDirectory` in interface `GenModel`

### getTestsProjectDirectory

    public java.lang.String getTestsProjectDirectory()

  Specified by:
    `getTestsProjectDirectory` in interface `GenModel`

### sameModelEditProject

    public boolean sameModelEditProject()

  Specified by:
    `sameModelEditProject` in interface `GenModel`

### sameEditEditorProject

    public boolean sameEditEditorProject()

  Specified by:
    `sameEditEditorProject` in interface `GenModel`

### sameModelEditorProject

    public boolean sameModelEditorProject()

  Specified by:
    `sameModelEditorProject` in interface `GenModel`

### sameModelTestsProject

    public boolean sameModelTestsProject()

  Specified by:
    `sameModelTestsProject` in interface `GenModel`

### sameEditTestsProject

    public boolean sameEditTestsProject()

### sameEditorTestsProject

    public boolean sameEditorTestsProject()

### getEditIconsDirectory

    public java.lang.String getEditIconsDirectory()

  Specified by:
    `getEditIconsDirectory` in interface `GenModel`

### getEditorIconsDirectory

    public java.lang.String getEditorIconsDirectory()

  Specified by:
    `getEditorIconsDirectory` in interface `GenModel`

### getEditPluginIDGen

    public java.lang.String getEditPluginIDGen()

### getEditPluginID

    public java.lang.String getEditPluginID()

  Description copied from interface: `GenModel`
  Returns the value of the 'Edit Plugin ID' attribute.

  Specified by:
    `getEditPluginID` in interface `GenModel`
  Returns:
    the value of the 'Edit Plugin ID' attribute.
  See Also:
    `GenModel.setEditPluginID(String)`, `GenModelPackage.getGenModel_EditPluginID()`

### setEditPluginID

    public void setEditPluginID(java.lang.String newEditPluginID)

  Specified by:
    `setEditPluginID` in interface `GenModel`
  Parameters:
    `newEditPluginID` - the new value of the 'Edit Plugin ID' attribute.
  See Also:
    `GenModel.getEditPluginID()`

### getEditPluginVariables

    public EList<java.lang.String> getEditPluginVariables()

  Specified by:
    `getEditPluginVariables` in interface `GenModel`
  Returns:
    the value of the 'Edit Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_EditPluginVariables()`

### getEditorPluginIDGen

    public java.lang.String getEditorPluginIDGen()

### getEditorPluginID

    public java.lang.String getEditorPluginID()

  Description copied from interface: `GenModel`
  Returns the value of the 'Editor Plugin ID' attribute.

  Specified by:
    `getEditorPluginID` in interface `GenModel`
  Returns:
    the value of the 'Editor Plugin ID' attribute.
  See Also:
    `GenModel.setEditorPluginID(String)`, `GenModelPackage.getGenModel_EditorPluginID()`

### setEditorPluginID

    public void setEditorPluginID(java.lang.String newEditorPluginID)

  Specified by:
    `setEditorPluginID` in interface `GenModel`
  Parameters:
    `newEditorPluginID` - the new value of the 'Editor Plugin ID' attribute.
  See Also:
    `GenModel.getEditorPluginID()`

### getEditorPluginVariables

    public EList<java.lang.String> getEditorPluginVariables()

  Specified by:
    `getEditorPluginVariables` in interface `GenModel`
  Returns:
    the value of the 'Editor Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_EditorPluginVariables()`

### getTestsPluginIDGen

    public java.lang.String getTestsPluginIDGen()

### getTestsPluginID

    public java.lang.String getTestsPluginID()

  Description copied from interface: `GenModel`
  Returns the value of the 'Tests Plugin ID' attribute.

  Specified by:
    `getTestsPluginID` in interface `GenModel`
  Returns:
    the value of the 'Tests Plugin ID' attribute.
  See Also:
    `GenModel.setTestsPluginID(String)`, `GenModelPackage.getGenModel_TestsPluginID()`

### setTestsPluginID

    public void setTestsPluginID(java.lang.String newTestsPluginID)

  Specified by:
    `setTestsPluginID` in interface `GenModel`
  Parameters:
    `newTestsPluginID` - the new value of the 'Tests Plugin ID' attribute.
  See Also:
    `GenModel.getTestsPluginID()`

### getTestsPluginVariables

    public EList<java.lang.String> getTestsPluginVariables()

  Specified by:
    `getTestsPluginVariables` in interface `GenModel`
  Returns:
    the value of the 'Tests Plugin Variables' attribute list.
  See Also:
    `GenModelPackage.getGenModel_TestsPluginVariables()`

### isOptimizedHasChildren

    public boolean isOptimizedHasChildren()

  Specified by:
    `isOptimizedHasChildren` in interface `GenModel`
  Returns:
    the value of the 'Optimized Has Children' attribute.
  See Also:
    `GenModel.setOptimizedHasChildren(boolean)`, `GenModelPackage.getGenModel_OptimizedHasChildren()`

### setOptimizedHasChildren

    public void setOptimizedHasChildren(boolean newOptimizedHasChildren)

  Specified by:
    `setOptimizedHasChildren` in interface `GenModel`
  Parameters:
    `newOptimizedHasChildren` - the new value of the 'Optimized Has Children' attribute.
  See Also:
    `GenModel.isOptimizedHasChildren()`

### isTableProviders

    public boolean isTableProviders()

  Specified by:
    `isTableProviders` in interface `GenModel`
  Returns:
    the value of the 'Table Providers' attribute.
  See Also:
    `GenModel.setTableProviders(boolean)`, `GenModelPackage.getGenModel_TableProviders()`

### setTableProviders

    public void setTableProviders(boolean newTableProviders)

  Specified by:
    `setTableProviders` in interface `GenModel`
  Parameters:
    `newTableProviders` - the new value of the 'Table Providers' attribute.
  See Also:
    `GenModel.isTableProviders()`

### isColorProviders

    public boolean isColorProviders()

  Specified by:
    `isColorProviders` in interface `GenModel`
  Returns:
    the value of the 'Color Providers' attribute.
  See Also:
    `GenModel.setColorProviders(boolean)`, `GenModelPackage.getGenModel_ColorProviders()`

### setColorProviders

    public void setColorProviders(boolean newColorProviders)

  Specified by:
    `setColorProviders` in interface `GenModel`
  Parameters:
    `newColorProviders` - the new value of the 'Color Providers' attribute.
  See Also:
    `GenModel.isColorProviders()`

### isFontProviders

    public boolean isFontProviders()

  Specified by:
    `isFontProviders` in interface `GenModel`
  Returns:
    the value of the 'Font Providers' attribute.
  See Also:
    `GenModel.setFontProviders(boolean)`, `GenModelPackage.getGenModel_FontProviders()`

### setFontProviders

    public void setFontProviders(boolean newFontProviders)

  Specified by:
    `setFontProviders` in interface `GenModel`
  Parameters:
    `newFontProviders` - the new value of the 'Font Providers' attribute.
  See Also:
    `GenModel.isFontProviders()`

### getRuntimeVersionGen

    public GenRuntimeVersion getRuntimeVersionGen()

### getRuntimeVersion

    public GenRuntimeVersion getRuntimeVersion()

  Description copied from interface: `GenModel`
  Returns the value of the 'Runtime Version' attribute. The literals are from the enumeration `GenRuntimeVersion`.

  Specified by:
    `getRuntimeVersion` in interface `GenModel`
  Returns:
    the value of the 'Runtime Version' attribute.
  See Also:
    `GenRuntimeVersion`, `GenModel.isSetRuntimeVersion()`, `GenModel.unsetRuntimeVersion()`, `GenModel.setRuntimeVersion(GenRuntimeVersion)`, `GenModelPackage.getGenModel_RuntimeVersion()`

### setRuntimeVersion

    public void setRuntimeVersion(GenRuntimeVersion newRuntimeVersion)

  Specified by:
    `setRuntimeVersion` in interface `GenModel`
  Parameters:
    `newRuntimeVersion` - the new value of the 'Runtime Version' attribute.
  See Also:
    `GenRuntimeVersion`, `GenModel.isSetRuntimeVersion()`, `GenModel.unsetRuntimeVersion()`, `GenModel.getRuntimeVersion()`

### unsetRuntimeVersion

    public void unsetRuntimeVersion()

  Specified by:
    `unsetRuntimeVersion` in interface `GenModel`
  See Also:
    `GenModel.isSetRuntimeVersion()`, `GenModel.getRuntimeVersion()`, `GenModel.setRuntimeVersion(GenRuntimeVersion)`

### isSetRuntimeVersion

    public boolean isSetRuntimeVersion()

  Specified by:
    `isSetRuntimeVersion` in interface `GenModel`
  Returns:
    whether the value of the 'Runtime Version' attribute is set.
  See Also:
    `GenModel.unsetRuntimeVersion()`, `GenModel.getRuntimeVersion()`, `GenModel.setRuntimeVersion(GenRuntimeVersion)`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `GenModel`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `GenModel.setLanguage(String)`, `GenModelPackage.getGenModel_Language()`

### setLanguageGen

    public void setLanguageGen(java.lang.String newLanguage)

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Description copied from interface: `GenModel`
  Sets the value of the '`Language`' attribute.

  Specified by:
    `setLanguage` in interface `GenModel`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `GenModel.getLanguage()`

### isPackedEnums

    public boolean isPackedEnums()

  Specified by:
    `isPackedEnums` in interface `GenModel`
  Returns:
    the value of the 'Packed Enums' attribute.
  See Also:
    `GenModel.setPackedEnums(boolean)`, `GenModelPackage.getGenModel_PackedEnums()`

### setPackedEnums

    public void setPackedEnums(boolean newPackedEnums)

  Specified by:
    `setPackedEnums` in interface `GenModel`
  Parameters:
    `newPackedEnums` - the new value of the 'Packed Enums' attribute.
  See Also:
    `GenModel.isPackedEnums()`

### hasModelPluginClass

    public boolean hasModelPluginClass()

  Specified by:
    `hasModelPluginClass` in interface `GenModel`

### getModelPluginClassToUse

    protected java.lang.String getModelPluginClassToUse()

### getEditPluginClassToUse

    protected java.lang.String getEditPluginClassToUse()

### getEditPluginDirectory

    public java.lang.String getEditPluginDirectory()

  Specified by:
    `getEditPluginDirectory` in interface `GenModel`

### getEditorPluginClassToUse

    protected java.lang.String getEditorPluginClassToUse()

### getEditorPluginDirectory

    public java.lang.String getEditorPluginDirectory()

  Specified by:
    `getEditorPluginDirectory` in interface `GenModel`

### getPluginClassName

    protected java.lang.String getPluginClassName(java.lang.String baseName,
                                                  java.lang.String defaultSuffix)

### getPluginPackageName

    protected java.lang.String getPluginPackageName(java.lang.String baseName,
                                                    java.lang.String pluginID)

### createPackageName

    protected java.lang.String createPackageName(java.lang.String text)

### getModelPluginPackageName

    public java.lang.String getModelPluginPackageName()

  Specified by:
    `getModelPluginPackageName` in interface `GenModel`

### getModelPluginClassName

    public java.lang.String getModelPluginClassName()

  Specified by:
    `getModelPluginClassName` in interface `GenModel`

### getQualifiedModelPluginClassName

    public java.lang.String getQualifiedModelPluginClassName()

  Specified by:
    `getQualifiedModelPluginClassName` in interface `GenModel`

### getEditPluginPackageName

    public java.lang.String getEditPluginPackageName()

  Specified by:
    `getEditPluginPackageName` in interface `GenModel`

### getEditPluginClassName

    public java.lang.String getEditPluginClassName()

  Specified by:
    `getEditPluginClassName` in interface `GenModel`

### getQualifiedEditPluginClassName

    public java.lang.String getQualifiedEditPluginClassName()

  Specified by:
    `getQualifiedEditPluginClassName` in interface `GenModel`

### getEditorPluginPackageName

    public java.lang.String getEditorPluginPackageName()

  Specified by:
    `getEditorPluginPackageName` in interface `GenModel`

### getEditorPluginClassName

    public java.lang.String getEditorPluginClassName()

  Specified by:
    `getEditorPluginClassName` in interface `GenModel`

### getQualifiedEditorPluginClassName

    public java.lang.String getQualifiedEditorPluginClassName()

  Specified by:
    `getQualifiedEditorPluginClassName` in interface `GenModel`

### getQualifiedEditorAdvisorClassName

    public java.lang.String getQualifiedEditorAdvisorClassName()

  Specified by:
    `getQualifiedEditorAdvisorClassName` in interface `GenModel`

### getEditorAdvisorClassName

    public java.lang.String getEditorAdvisorClassName()

  Specified by:
    `getEditorAdvisorClassName` in interface `GenModel`

### hasTestSuiteClass

    public boolean hasTestSuiteClass()

  Specified by:
    `hasTestSuiteClass` in interface `GenModel`

### getTestSuitePackageName

    public java.lang.String getTestSuitePackageName()

  Specified by:
    `getTestSuitePackageName` in interface `GenModel`

### getTestSuiteClassName

    public java.lang.String getTestSuiteClassName()

  Specified by:
    `getTestSuiteClassName` in interface `GenModel`

### getQualifiedTestSuiteClassName

    public java.lang.String getQualifiedTestSuiteClassName()

  Specified by:
    `getQualifiedTestSuiteClassName` in interface `GenModel`

### getAllGenPackagesWithClassifiersHelper

    protected void getAllGenPackagesWithClassifiersHelper(java.util.List<GenPackage> result,
                                                          java.util.List<GenPackage> genPackages)

### getAllGenPackagesWithClassifiers

    public java.util.List<GenPackage> getAllGenPackagesWithClassifiers()

  Specified by:
    `getAllGenPackagesWithClassifiers` in interface `GenModel`

### getAllUsedGenPackagesWithClassifiers

    public java.util.List<GenPackage> getAllUsedGenPackagesWithClassifiers()

  Specified by:
    `getAllUsedGenPackagesWithClassifiers` in interface `GenModel`

### getAllGenAndUsedGenPackagesWithClassifiers

    public java.util.List<GenPackage> getAllGenAndUsedGenPackagesWithClassifiers()

  Specified by:
    `getAllGenAndUsedGenPackagesWithClassifiers` in interface `GenModel`

### getAllGenUsedAndStaticGenPackagesWithClassifiers

    public java.util.List<GenPackage> getAllGenUsedAndStaticGenPackagesWithClassifiers()

  Specified by:
    `getAllGenUsedAndStaticGenPackagesWithClassifiers` in interface `GenModel`

### getModelQualifiedPackageNames

    public java.util.List<java.lang.String> getModelQualifiedPackageNames()

  Specified by:
    `getModelQualifiedPackageNames` in interface `GenModel`

### addQualifiedModelPackageNames

    protected void addQualifiedModelPackageNames(java.util.List<java.lang.String> packageNames,
                                                 GenPackage genPackage)

### getModelRequiredPlugins

    public java.util.List<java.lang.String> getModelRequiredPlugins()

  Specified by:
    `getModelRequiredPlugins` in interface `GenModel`

### getEditQualifiedPackageNames

    public java.util.List<java.lang.String> getEditQualifiedPackageNames()

  Specified by:
    `getEditQualifiedPackageNames` in interface `GenModel`

### addQualifiedEditPackageNames

    protected void addQualifiedEditPackageNames(java.util.List<java.lang.String> packageNames,
                                                GenPackage genPackage)

### getEditRequiredPlugins

    public java.util.List<java.lang.String> getEditRequiredPlugins()

  Specified by:
    `getEditRequiredPlugins` in interface `GenModel`

### getEditorQualifiedPackageNames

    public java.util.List<java.lang.String> getEditorQualifiedPackageNames()

  Specified by:
    `getEditorQualifiedPackageNames` in interface `GenModel`

### addQualifiedEditorPackageNames

    protected void addQualifiedEditorPackageNames(java.util.List<java.lang.String> packageNames,
                                                  GenPackage genPackage)

### getEditorRequiredPlugins

    public java.util.List<java.lang.String> getEditorRequiredPlugins()

  Specified by:
    `getEditorRequiredPlugins` in interface `GenModel`

### getTestsQualifiedPackageNames

    public java.util.List<java.lang.String> getTestsQualifiedPackageNames()

  Specified by:
    `getTestsQualifiedPackageNames` in interface `GenModel`

### addQualifiedTestsPackageNames

    protected void addQualifiedTestsPackageNames(java.util.List<java.lang.String> packageNames,
                                                 GenPackage genPackage)

### getTestsRequiredPlugins

    public java.util.List<java.lang.String> getTestsRequiredPlugins()

  Specified by:
    `getTestsRequiredPlugins` in interface `GenModel`

### getEditResourceDelegateImportedPluginClassNames

    public java.util.List<java.lang.String> getEditResourceDelegateImportedPluginClassNames()

  Specified by:
    `getEditResourceDelegateImportedPluginClassNames` in interface `GenModel`

### reconcile

    public boolean reconcile(GenModel oldGenModelVersion)

  Description copied from interface: `GenModel`
  Restore all the corresponding settings of the old version into this version.

  Specified by:
    `reconcile` in interface `GenModel`

### reconcileSettings

    protected void reconcileSettings(GenModel oldGenModelVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### computeMissingUsedGenPackages

    public java.util.List<GenPackage> computeMissingUsedGenPackages()

  Specified by:
    `computeMissingUsedGenPackages` in interface `GenModel`

### computeMissingUsedGenPackages

    protected java.util.List<GenPackage> computeMissingUsedGenPackages(java.util.List<EPackage> missingEPackages)

### getMissingPackages

    public java.util.List<EPackage> getMissingPackages()

  Specified by:
    `getMissingPackages` in interface `GenModel`

### getMissingPackagesHelper

    protected void getMissingPackagesHelper(java.util.List<EPackage> ePackages,
                                            java.util.List<GenPackage> genPackages)

### hasXMLDependency

    public boolean hasXMLDependency()

  Specified by:
    `hasXMLDependency` in interface `GenModel`

### getXMLEncodingChoices

    public java.lang.String getXMLEncodingChoices()

  Specified by:
    `getXMLEncodingChoices` in interface `GenModel`

### getIndentation

    public java.lang.String getIndentation(java.lang.StringBuffer stringBuffer)

  Specified by:
    `getIndentation` in interface `GenModel`

### getAllGenFeatures

    public java.util.List<GenFeature> getAllGenFeatures()

  Specified by:
    `getAllGenFeatures` in interface `GenModel`

### getFilteredAllGenFeatures

    public java.util.List<GenFeature> getFilteredAllGenFeatures()

  Specified by:
    `getFilteredAllGenFeatures` in interface `GenModel`

### setCodeFormatterOptions

    @Deprecated
    public void setCodeFormatterOptions(java.util.Map options)

  Deprecated. In EMF 2.2, the `Generator.Options` should be used to record code formatter options in order to be used via the new Generator-based design. This method will be removed after 2.2.

  Set the code formatter options to be used to `create` a new code formatter.

  Specified by:
    `setCodeFormatterOptions` in interface `GenModel`

### createCodeFormatter

    @Deprecated
    public org.eclipse.jdt.core.formatter.CodeFormatter createCodeFormatter()

  Deprecated. In EMF 2.2, a `GeneratorAdapter` should be used to implement code generation. `AbstractGeneratorAdapter` provides an equivalent to this method. This method will be removed after 2.2.

  Creates and returns a new JDT code formatter.

  Specified by:
    `createCodeFormatter` in interface `GenModel`

### isBooleanFlagsEnabled

    public boolean isBooleanFlagsEnabled()

  Specified by:
    `isBooleanFlagsEnabled` in interface `GenModel`

### createGenModel

    public GenModel createGenModel()

  Specified by:
    `createGenModel` in interface `GenModel`

### createGenPackage

    public GenPackage createGenPackage()

  Specified by:
    `createGenPackage` in interface `GenModel`

### createGenClass

    public GenClass createGenClass()

  Specified by:
    `createGenClass` in interface `GenModel`

### createGenFeature

    public GenFeature createGenFeature()

  Specified by:
    `createGenFeature` in interface `GenModel`

### createGenEnum

    public GenEnum createGenEnum()

  Specified by:
    `createGenEnum` in interface `GenModel`

### createGenEnumLiteral

    public GenEnumLiteral createGenEnumLiteral()

  Specified by:
    `createGenEnumLiteral` in interface `GenModel`

### createGenDataType

    public GenDataType createGenDataType()

  Specified by:
    `createGenDataType` in interface `GenModel`

### createGenOperation

    public GenOperation createGenOperation()

  Specified by:
    `createGenOperation` in interface `GenModel`

### createGenParameter

    public GenParameter createGenParameter()

  Specified by:
    `createGenParameter` in interface `GenModel`

### createGenTypeParameter

    public GenTypeParameter createGenTypeParameter()

  Specified by:
    `createGenTypeParameter` in interface `GenModel`

### createGenAnnotation

    public GenAnnotation createGenAnnotation()

  Specified by:
    `createGenAnnotation` in interface `GenModel`

### create

    public GenBase create(EClass eClass)

  Specified by:
    `create` in interface `GenModel`

### getPropertyCategories

    public java.util.Set<java.lang.String> getPropertyCategories()

  Specified by:
    `getPropertyCategories` in interface `GenModel`

### hasLocalGenModel

    public boolean hasLocalGenModel()

  Specified by:
    `hasLocalGenModel` in interface `GenModel`

### getRelativeGenModelLocation

    public java.lang.String getRelativeGenModelLocation()

  Specified by:
    `getRelativeGenModelLocation` in interface `GenModel`

### getPropertyCategoryKey

    public java.lang.String getPropertyCategoryKey(java.lang.String category)

  Specified by:
    `getPropertyCategoryKey` in interface `GenModel`

### isVirtualDelegation

    public boolean isVirtualDelegation()

  Specified by:
    `isVirtualDelegation` in interface `GenModel`

### useClassOverrideAnnotation

    public boolean useClassOverrideAnnotation()

  Specified by:
    `useClassOverrideAnnotation` in interface `GenModel`

### useGenerics

    public boolean useGenerics()

  Specified by:
    `useGenerics` in interface `GenModel`

### findGenClassifier

    public GenClassifier findGenClassifier(EClassifier classifier)

  Specified by:
    `findGenClassifier` in interface `GenModel`
  Overrides:
    `findGenClassifier` in class `GenBaseImpl`

### isSuppressedAnnotation

    public boolean isSuppressedAnnotation(java.lang.String source)

  Specified by:
    `isSuppressedAnnotation` in interface `GenModel`

### getCopyright

    protected java.lang.String getCopyright(boolean includeGenModelCopyrightTextAsDefault)

  Overrides:
    `getCopyright` in class `GenBaseImpl`

### hasCopyrightField

    public boolean hasCopyrightField()

  Specified by:
    `hasCopyrightField` in interface `GenModel`

### getCopyrightFieldLiteral

    public java.lang.String getCopyrightFieldLiteral()

  Specified by:
    `getCopyrightFieldLiteral` in interface `GenModel`

### getModelSourceFolders

    public java.util.List<java.lang.String> getModelSourceFolders()

  Description copied from interface: `GenModel`
  Returns the source folders for the model project. The returned list doesn't contain duplicated elements.

  Specified by:
    `getModelSourceFolders` in interface `GenModel`
  Returns:
    List<String>

### getEditSourceFolders

    public java.util.List<java.lang.String> getEditSourceFolders()

  Description copied from interface: `GenModel`
  Returns the source folders for the edit project. The returned list doesn't contain duplicated elements.

  Specified by:
    `getEditSourceFolders` in interface `GenModel`
  Returns:
    List<String>

### getEditorSourceFolders

    public java.util.List<java.lang.String> getEditorSourceFolders()

  Description copied from interface: `GenModel`
  Returns the source folders for the editor project. The returned list doesn't contain duplicated elements.

  Specified by:
    `getEditorSourceFolders` in interface `GenModel`
  Returns:
    List<String>

### getTestsSourceFolders

    public java.util.List<java.lang.String> getTestsSourceFolders()

  Description copied from interface: `GenModel`
  Returns the source folders for the tests project. The returned list doesn't contain duplicated elements.

  Specified by:
    `getTestsSourceFolders` in interface `GenModel`
  Returns:
    List<String>

### getSourceFolder

    protected java.lang.String getSourceFolder(java.lang.String projectDirectory)

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `GenModel`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.